diff --git a/package-lock.json b/package-lock.json
index e5b4ab5c..d1750d38 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -1,12 +1,12 @@
 {
 	"name": "jazzer.js",
-	"version": "1.5.0",
+	"version": "1.5.1",
 	"lockfileVersion": 2,
 	"requires": true,
 	"packages": {
 		"": {
 			"name": "jazzer.js",
-			"version": "1.5.0",
+			"version": "1.5.1",
 			"license": "Apache-2.0",
 			"workspaces": [
 				"packages/*"
@@ -8676,7 +8676,7 @@
 		},
 		"packages/bug-detectors": {
 			"name": "@jazzer.js/bug-detectors",
-			"version": "1.5.0",
+			"version": "1.5.1",
 			"license": "Apache-2.0",
 			"dependencies": {
 				"@jazzer.js/fuzzer": "*"
@@ -8689,7 +8689,7 @@
 		},
 		"packages/core": {
 			"name": "@jazzer.js/core",
-			"version": "1.5.0",
+			"version": "1.5.1",
 			"license": "Apache-2.0",
 			"dependencies": {
 				"@jazzer.js/bug-detectors": "*",
@@ -8714,7 +8714,7 @@
 		},
 		"packages/fuzzer": {
 			"name": "@jazzer.js/fuzzer",
-			"version": "1.5.0",
+			"version": "1.5.1",
 			"hasInstallScript": true,
 			"license": "Apache-2.0",
 			"dependencies": {
@@ -8736,7 +8736,7 @@
 		},
 		"packages/hooking": {
 			"name": "@jazzer.js/hooking",
-			"version": "1.5.0",
+			"version": "1.5.1",
 			"license": "Apache-2.0",
 			"dependencies": {
 				"@babel/core": "^7.22.5"
@@ -8751,7 +8751,7 @@
 		},
 		"packages/instrumentor": {
 			"name": "@jazzer.js/instrumentor",
-			"version": "1.5.0",
+			"version": "1.5.1",
 			"license": "Apache-2.0",
 			"dependencies": {
 				"@babel/core": "^7.22.5",
@@ -8800,7 +8800,7 @@
 		},
 		"packages/jest-runner": {
 			"name": "@jazzer.js/jest-runner",
-			"version": "1.5.0",
+			"version": "1.5.1",
 			"license": "Apache-2.0",
 			"dependencies": {
 				"@jazzer.js/core": "*",
diff --git a/package.json b/package.json
index d57463f6..4d75d3ac 100644
--- a/package.json
+++ b/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "jazzer.js",
-	"version": "1.5.0",
+	"version": "1.5.1",
 	"description": "Coverage-guided, in-process fuzzing for Node.js",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"keywords": [
diff --git a/packages/bug-detectors/package.json b/packages/bug-detectors/package.json
index 4832eaf5..aab872fb 100644
--- a/packages/bug-detectors/package.json
+++ b/packages/bug-detectors/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/bug-detectors",
-	"version": "1.5.0",
+	"version": "1.5.1",
 	"description": "Jazzer.js bug detectors",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/core/package.json b/packages/core/package.json
index 9e17000a..2b02fa4e 100644
--- a/packages/core/package.json
+++ b/packages/core/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/core",
-	"version": "1.5.0",
+	"version": "1.5.1",
 	"description": "Jazzer.js CLI",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/fuzzer/package.json b/packages/fuzzer/package.json
index 0f9770d7..9b45ffac 100644
--- a/packages/fuzzer/package.json
+++ b/packages/fuzzer/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/fuzzer",
-	"version": "1.5.0",
+	"version": "1.5.1",
 	"description": "Jazzer.js libfuzzer-based fuzzer for Node.js",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/hooking/package.json b/packages/hooking/package.json
index 13afbb6e..4beb94c9 100644
--- a/packages/hooking/package.json
+++ b/packages/hooking/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/hooking",
-	"version": "1.5.0",
+	"version": "1.5.1",
 	"description": "Jazzer.js hooking framework",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/instrumentor/package.json b/packages/instrumentor/package.json
index 27902fd9..46bb89ed 100644
--- a/packages/instrumentor/package.json
+++ b/packages/instrumentor/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/instrumentor",
-	"version": "1.5.0",
+	"version": "1.5.1",
 	"description": "Jazzer.js source code instrumentor",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/jest-runner/package.json b/packages/jest-runner/package.json
index 83c07cfe..ba7d1faa 100644
--- a/packages/jest-runner/package.json
+++ b/packages/jest-runner/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/jest-runner",
-	"version": "1.5.0",
+	"version": "1.5.1",
 	"description": "",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/jest-runner/readme.md b/packages/jest-runner/readme.md
index e3dcad5f..f07af0cc 100644
--- a/packages/jest-runner/readme.md
+++ b/packages/jest-runner/readme.md
@@ -10,7 +10,7 @@ the following example:
 ```typescript
 // file: "Target.fuzz.ts
 // Import the fuzz testing extension to compile TS code.
-import "@jazzer.js/jest-runner/jest-extension";
+import "@jazzer.js/jest-runner";
 import * as target from "./target";
 
 describe("Target", () => {