diff --git a/package-lock.json b/package-lock.json
index 7774deb3..ac426bbe 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -16,7 +16,7 @@
 				"@types/jest": "^29.5.11",
 				"@types/node": "^20.11.10",
 				"@types/yargs": "^17.0.32",
-				"@typescript-eslint/eslint-plugin": "^6.19.1",
+				"@typescript-eslint/eslint-plugin": "^6.20.0",
 				"eslint": "^8.56.0",
 				"eslint-config-prettier": "^9.1.0",
 				"eslint-plugin-header": "^3.1.1",
@@ -1550,16 +1550,16 @@
 			"integrity": "sha512-iO9ZQHkZxHn4mSakYV0vFHAVDyEOIJQrV2uZ06HxEPcx+mt8swXoZHIbaaJ2crJYFfErySgktuTZ3BeLz+XmFA=="
 		},
 		"node_modules/@typescript-eslint/eslint-plugin": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/eslint-plugin/-/eslint-plugin-6.19.1.tgz",
-			"integrity": "sha512-roQScUGFruWod9CEyoV5KlCYrubC/fvG8/1zXuT0WTcxX87GnMMmnksMwSg99lo1xiKrBzw2icsJPMAw1OtKxg==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/eslint-plugin/-/eslint-plugin-6.20.0.tgz",
+			"integrity": "sha512-fTwGQUnjhoYHeSF6m5pWNkzmDDdsKELYrOBxhjMrofPqCkoC2k3B2wvGHFxa1CTIqkEn88nlW1HVMztjo2K8Hg==",
 			"dev": true,
 			"dependencies": {
 				"@eslint-community/regexpp": "^4.5.1",
-				"@typescript-eslint/scope-manager": "6.19.1",
-				"@typescript-eslint/type-utils": "6.19.1",
-				"@typescript-eslint/utils": "6.19.1",
-				"@typescript-eslint/visitor-keys": "6.19.1",
+				"@typescript-eslint/scope-manager": "6.20.0",
+				"@typescript-eslint/type-utils": "6.20.0",
+				"@typescript-eslint/utils": "6.20.0",
+				"@typescript-eslint/visitor-keys": "6.20.0",
 				"debug": "^4.3.4",
 				"graphemer": "^1.4.0",
 				"ignore": "^5.2.4",
@@ -1585,13 +1585,13 @@
 			}
 		},
 		"node_modules/@typescript-eslint/eslint-plugin/node_modules/@typescript-eslint/scope-manager": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.19.1.tgz",
-			"integrity": "sha512-4CdXYjKf6/6aKNMSly/BP4iCSOpvMmqtDzRtqFyyAae3z5kkqEjKndR5vDHL8rSuMIIWP8u4Mw4VxLyxZW6D5w==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.20.0.tgz",
+			"integrity": "sha512-p4rvHQRDTI1tGGMDFQm+GtxP1ZHyAh64WANVoyEcNMpaTFn3ox/3CcgtIlELnRfKzSs/DwYlDccJEtr3O6qBvA==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.19.1",
-				"@typescript-eslint/visitor-keys": "6.19.1"
+				"@typescript-eslint/types": "6.20.0",
+				"@typescript-eslint/visitor-keys": "6.20.0"
 			},
 			"engines": {
 				"node": "^16.0.0 || >=18.0.0"
@@ -1602,9 +1602,9 @@
 			}
 		},
 		"node_modules/@typescript-eslint/eslint-plugin/node_modules/@typescript-eslint/types": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.19.1.tgz",
-			"integrity": "sha512-6+bk6FEtBhvfYvpHsDgAL3uo4BfvnTnoge5LrrCj2eJN8g3IJdLTD4B/jK3Q6vo4Ql/Hoip9I8aB6fF+6RfDqg==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.20.0.tgz",
+			"integrity": "sha512-MM9mfZMAhiN4cOEcUOEx+0HmuaW3WBfukBZPCfwSqFnQy0grXYtngKCqpQN339X3RrwtzspWJrpbrupKYUSBXQ==",
 			"dev": true,
 			"engines": {
 				"node": "^16.0.0 || >=18.0.0"
@@ -1615,13 +1615,13 @@
 			}
 		},
 		"node_modules/@typescript-eslint/eslint-plugin/node_modules/@typescript-eslint/typescript-estree": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.19.1.tgz",
-			"integrity": "sha512-aFdAxuhzBFRWhy+H20nYu19+Km+gFfwNO4TEqyszkMcgBDYQjmPJ61erHxuT2ESJXhlhrO7I5EFIlZ+qGR8oVA==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.20.0.tgz",
+			"integrity": "sha512-RnRya9q5m6YYSpBN7IzKu9FmLcYtErkDkc8/dKv81I9QiLLtVBHrjz+Ev/crAqgMNW2FCsoZF4g2QUylMnJz+g==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.19.1",
-				"@typescript-eslint/visitor-keys": "6.19.1",
+				"@typescript-eslint/types": "6.20.0",
+				"@typescript-eslint/visitor-keys": "6.20.0",
 				"debug": "^4.3.4",
 				"globby": "^11.1.0",
 				"is-glob": "^4.0.3",
@@ -1643,17 +1643,17 @@
 			}
 		},
 		"node_modules/@typescript-eslint/eslint-plugin/node_modules/@typescript-eslint/utils": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.19.1.tgz",
-			"integrity": "sha512-JvjfEZuP5WoMqwh9SPAPDSHSg9FBHHGhjPugSRxu5jMfjvBpq5/sGTD+9M9aQ5sh6iJ8AY/Kk/oUYVEMAPwi7w==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.20.0.tgz",
+			"integrity": "sha512-/EKuw+kRu2vAqCoDwDCBtDRU6CTKbUmwwI7SH7AashZ+W+7o8eiyy6V2cdOqN49KsTcASWsC5QeghYuRDTyOOg==",
 			"dev": true,
 			"dependencies": {
 				"@eslint-community/eslint-utils": "^4.4.0",
 				"@types/json-schema": "^7.0.12",
 				"@types/semver": "^7.5.0",
-				"@typescript-eslint/scope-manager": "6.19.1",
-				"@typescript-eslint/types": "6.19.1",
-				"@typescript-eslint/typescript-estree": "6.19.1",
+				"@typescript-eslint/scope-manager": "6.20.0",
+				"@typescript-eslint/types": "6.20.0",
+				"@typescript-eslint/typescript-estree": "6.20.0",
 				"semver": "^7.5.4"
 			},
 			"engines": {
@@ -1668,12 +1668,12 @@
 			}
 		},
 		"node_modules/@typescript-eslint/eslint-plugin/node_modules/@typescript-eslint/visitor-keys": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.19.1.tgz",
-			"integrity": "sha512-gkdtIO+xSO/SmI0W68DBg4u1KElmIUo3vXzgHyGPs6cxgB0sa3TlptRAAE0hUY1hM6FcDKEv7aIwiTGm76cXfQ==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.20.0.tgz",
+			"integrity": "sha512-E8Cp98kRe4gKHjJD4NExXKz/zOJ1A2hhZc+IMVD6i7w4yjIvh6VyuRI0gRtxAsXtoC35uGMaQ9rjI2zJaXDEAw==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.19.1",
+				"@typescript-eslint/types": "6.20.0",
 				"eslint-visitor-keys": "^3.4.1"
 			},
 			"engines": {
@@ -1833,13 +1833,13 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/type-utils/-/type-utils-6.19.1.tgz",
-			"integrity": "sha512-0vdyld3ecfxJuddDjACUvlAeYNrHP/pDeQk2pWBR2ESeEzQhg52DF53AbI9QCBkYE23lgkhLCZNkHn2hEXXYIg==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/type-utils/-/type-utils-6.20.0.tgz",
+			"integrity": "sha512-qnSobiJQb1F5JjN0YDRPHruQTrX7ICsmltXhkV536mp4idGAYrIyr47zF/JmkJtEcAVnIz4gUYJ7gOZa6SmN4g==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/typescript-estree": "6.19.1",
-				"@typescript-eslint/utils": "6.19.1",
+				"@typescript-eslint/typescript-estree": "6.20.0",
+				"@typescript-eslint/utils": "6.20.0",
 				"debug": "^4.3.4",
 				"ts-api-utils": "^1.0.1"
 			},
@@ -1860,13 +1860,13 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils/node_modules/@typescript-eslint/scope-manager": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.19.1.tgz",
-			"integrity": "sha512-4CdXYjKf6/6aKNMSly/BP4iCSOpvMmqtDzRtqFyyAae3z5kkqEjKndR5vDHL8rSuMIIWP8u4Mw4VxLyxZW6D5w==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.20.0.tgz",
+			"integrity": "sha512-p4rvHQRDTI1tGGMDFQm+GtxP1ZHyAh64WANVoyEcNMpaTFn3ox/3CcgtIlELnRfKzSs/DwYlDccJEtr3O6qBvA==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.19.1",
-				"@typescript-eslint/visitor-keys": "6.19.1"
+				"@typescript-eslint/types": "6.20.0",
+				"@typescript-eslint/visitor-keys": "6.20.0"
 			},
 			"engines": {
 				"node": "^16.0.0 || >=18.0.0"
@@ -1877,9 +1877,9 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils/node_modules/@typescript-eslint/types": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.19.1.tgz",
-			"integrity": "sha512-6+bk6FEtBhvfYvpHsDgAL3uo4BfvnTnoge5LrrCj2eJN8g3IJdLTD4B/jK3Q6vo4Ql/Hoip9I8aB6fF+6RfDqg==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.20.0.tgz",
+			"integrity": "sha512-MM9mfZMAhiN4cOEcUOEx+0HmuaW3WBfukBZPCfwSqFnQy0grXYtngKCqpQN339X3RrwtzspWJrpbrupKYUSBXQ==",
 			"dev": true,
 			"engines": {
 				"node": "^16.0.0 || >=18.0.0"
@@ -1890,13 +1890,13 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils/node_modules/@typescript-eslint/typescript-estree": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.19.1.tgz",
-			"integrity": "sha512-aFdAxuhzBFRWhy+H20nYu19+Km+gFfwNO4TEqyszkMcgBDYQjmPJ61erHxuT2ESJXhlhrO7I5EFIlZ+qGR8oVA==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.20.0.tgz",
+			"integrity": "sha512-RnRya9q5m6YYSpBN7IzKu9FmLcYtErkDkc8/dKv81I9QiLLtVBHrjz+Ev/crAqgMNW2FCsoZF4g2QUylMnJz+g==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.19.1",
-				"@typescript-eslint/visitor-keys": "6.19.1",
+				"@typescript-eslint/types": "6.20.0",
+				"@typescript-eslint/visitor-keys": "6.20.0",
 				"debug": "^4.3.4",
 				"globby": "^11.1.0",
 				"is-glob": "^4.0.3",
@@ -1918,17 +1918,17 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils/node_modules/@typescript-eslint/utils": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.19.1.tgz",
-			"integrity": "sha512-JvjfEZuP5WoMqwh9SPAPDSHSg9FBHHGhjPugSRxu5jMfjvBpq5/sGTD+9M9aQ5sh6iJ8AY/Kk/oUYVEMAPwi7w==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.20.0.tgz",
+			"integrity": "sha512-/EKuw+kRu2vAqCoDwDCBtDRU6CTKbUmwwI7SH7AashZ+W+7o8eiyy6V2cdOqN49KsTcASWsC5QeghYuRDTyOOg==",
 			"dev": true,
 			"dependencies": {
 				"@eslint-community/eslint-utils": "^4.4.0",
 				"@types/json-schema": "^7.0.12",
 				"@types/semver": "^7.5.0",
-				"@typescript-eslint/scope-manager": "6.19.1",
-				"@typescript-eslint/types": "6.19.1",
-				"@typescript-eslint/typescript-estree": "6.19.1",
+				"@typescript-eslint/scope-manager": "6.20.0",
+				"@typescript-eslint/types": "6.20.0",
+				"@typescript-eslint/typescript-estree": "6.20.0",
 				"semver": "^7.5.4"
 			},
 			"engines": {
@@ -1943,12 +1943,12 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils/node_modules/@typescript-eslint/visitor-keys": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.19.1.tgz",
-			"integrity": "sha512-gkdtIO+xSO/SmI0W68DBg4u1KElmIUo3vXzgHyGPs6cxgB0sa3TlptRAAE0hUY1hM6FcDKEv7aIwiTGm76cXfQ==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.20.0.tgz",
+			"integrity": "sha512-E8Cp98kRe4gKHjJD4NExXKz/zOJ1A2hhZc+IMVD6i7w4yjIvh6VyuRI0gRtxAsXtoC35uGMaQ9rjI2zJaXDEAw==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.19.1",
+				"@typescript-eslint/types": "6.20.0",
 				"eslint-visitor-keys": "^3.4.1"
 			},
 			"engines": {
@@ -11623,16 +11623,16 @@
 			"integrity": "sha512-iO9ZQHkZxHn4mSakYV0vFHAVDyEOIJQrV2uZ06HxEPcx+mt8swXoZHIbaaJ2crJYFfErySgktuTZ3BeLz+XmFA=="
 		},
 		"@typescript-eslint/eslint-plugin": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/eslint-plugin/-/eslint-plugin-6.19.1.tgz",
-			"integrity": "sha512-roQScUGFruWod9CEyoV5KlCYrubC/fvG8/1zXuT0WTcxX87GnMMmnksMwSg99lo1xiKrBzw2icsJPMAw1OtKxg==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/eslint-plugin/-/eslint-plugin-6.20.0.tgz",
+			"integrity": "sha512-fTwGQUnjhoYHeSF6m5pWNkzmDDdsKELYrOBxhjMrofPqCkoC2k3B2wvGHFxa1CTIqkEn88nlW1HVMztjo2K8Hg==",
 			"dev": true,
 			"requires": {
 				"@eslint-community/regexpp": "^4.5.1",
-				"@typescript-eslint/scope-manager": "6.19.1",
-				"@typescript-eslint/type-utils": "6.19.1",
-				"@typescript-eslint/utils": "6.19.1",
-				"@typescript-eslint/visitor-keys": "6.19.1",
+				"@typescript-eslint/scope-manager": "6.20.0",
+				"@typescript-eslint/type-utils": "6.20.0",
+				"@typescript-eslint/utils": "6.20.0",
+				"@typescript-eslint/visitor-keys": "6.20.0",
 				"debug": "^4.3.4",
 				"graphemer": "^1.4.0",
 				"ignore": "^5.2.4",
@@ -11642,29 +11642,29 @@
 			},
 			"dependencies": {
 				"@typescript-eslint/scope-manager": {
-					"version": "6.19.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.19.1.tgz",
-					"integrity": "sha512-4CdXYjKf6/6aKNMSly/BP4iCSOpvMmqtDzRtqFyyAae3z5kkqEjKndR5vDHL8rSuMIIWP8u4Mw4VxLyxZW6D5w==",
+					"version": "6.20.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.20.0.tgz",
+					"integrity": "sha512-p4rvHQRDTI1tGGMDFQm+GtxP1ZHyAh64WANVoyEcNMpaTFn3ox/3CcgtIlELnRfKzSs/DwYlDccJEtr3O6qBvA==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.19.1",
-						"@typescript-eslint/visitor-keys": "6.19.1"
+						"@typescript-eslint/types": "6.20.0",
+						"@typescript-eslint/visitor-keys": "6.20.0"
 					}
 				},
 				"@typescript-eslint/types": {
-					"version": "6.19.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.19.1.tgz",
-					"integrity": "sha512-6+bk6FEtBhvfYvpHsDgAL3uo4BfvnTnoge5LrrCj2eJN8g3IJdLTD4B/jK3Q6vo4Ql/Hoip9I8aB6fF+6RfDqg==",
+					"version": "6.20.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.20.0.tgz",
+					"integrity": "sha512-MM9mfZMAhiN4cOEcUOEx+0HmuaW3WBfukBZPCfwSqFnQy0grXYtngKCqpQN339X3RrwtzspWJrpbrupKYUSBXQ==",
 					"dev": true
 				},
 				"@typescript-eslint/typescript-estree": {
-					"version": "6.19.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.19.1.tgz",
-					"integrity": "sha512-aFdAxuhzBFRWhy+H20nYu19+Km+gFfwNO4TEqyszkMcgBDYQjmPJ61erHxuT2ESJXhlhrO7I5EFIlZ+qGR8oVA==",
+					"version": "6.20.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.20.0.tgz",
+					"integrity": "sha512-RnRya9q5m6YYSpBN7IzKu9FmLcYtErkDkc8/dKv81I9QiLLtVBHrjz+Ev/crAqgMNW2FCsoZF4g2QUylMnJz+g==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.19.1",
-						"@typescript-eslint/visitor-keys": "6.19.1",
+						"@typescript-eslint/types": "6.20.0",
+						"@typescript-eslint/visitor-keys": "6.20.0",
 						"debug": "^4.3.4",
 						"globby": "^11.1.0",
 						"is-glob": "^4.0.3",
@@ -11674,27 +11674,27 @@
 					}
 				},
 				"@typescript-eslint/utils": {
-					"version": "6.19.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.19.1.tgz",
-					"integrity": "sha512-JvjfEZuP5WoMqwh9SPAPDSHSg9FBHHGhjPugSRxu5jMfjvBpq5/sGTD+9M9aQ5sh6iJ8AY/Kk/oUYVEMAPwi7w==",
+					"version": "6.20.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.20.0.tgz",
+					"integrity": "sha512-/EKuw+kRu2vAqCoDwDCBtDRU6CTKbUmwwI7SH7AashZ+W+7o8eiyy6V2cdOqN49KsTcASWsC5QeghYuRDTyOOg==",
 					"dev": true,
 					"requires": {
 						"@eslint-community/eslint-utils": "^4.4.0",
 						"@types/json-schema": "^7.0.12",
 						"@types/semver": "^7.5.0",
-						"@typescript-eslint/scope-manager": "6.19.1",
-						"@typescript-eslint/types": "6.19.1",
-						"@typescript-eslint/typescript-estree": "6.19.1",
+						"@typescript-eslint/scope-manager": "6.20.0",
+						"@typescript-eslint/types": "6.20.0",
+						"@typescript-eslint/typescript-estree": "6.20.0",
 						"semver": "^7.5.4"
 					}
 				},
 				"@typescript-eslint/visitor-keys": {
-					"version": "6.19.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.19.1.tgz",
-					"integrity": "sha512-gkdtIO+xSO/SmI0W68DBg4u1KElmIUo3vXzgHyGPs6cxgB0sa3TlptRAAE0hUY1hM6FcDKEv7aIwiTGm76cXfQ==",
+					"version": "6.20.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.20.0.tgz",
+					"integrity": "sha512-E8Cp98kRe4gKHjJD4NExXKz/zOJ1A2hhZc+IMVD6i7w4yjIvh6VyuRI0gRtxAsXtoC35uGMaQ9rjI2zJaXDEAw==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.19.1",
+						"@typescript-eslint/types": "6.20.0",
 						"eslint-visitor-keys": "^3.4.1"
 					}
 				},
@@ -11790,41 +11790,41 @@
 			}
 		},
 		"@typescript-eslint/type-utils": {
-			"version": "6.19.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/type-utils/-/type-utils-6.19.1.tgz",
-			"integrity": "sha512-0vdyld3ecfxJuddDjACUvlAeYNrHP/pDeQk2pWBR2ESeEzQhg52DF53AbI9QCBkYE23lgkhLCZNkHn2hEXXYIg==",
+			"version": "6.20.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/type-utils/-/type-utils-6.20.0.tgz",
+			"integrity": "sha512-qnSobiJQb1F5JjN0YDRPHruQTrX7ICsmltXhkV536mp4idGAYrIyr47zF/JmkJtEcAVnIz4gUYJ7gOZa6SmN4g==",
 			"dev": true,
 			"requires": {
-				"@typescript-eslint/typescript-estree": "6.19.1",
-				"@typescript-eslint/utils": "6.19.1",
+				"@typescript-eslint/typescript-estree": "6.20.0",
+				"@typescript-eslint/utils": "6.20.0",
 				"debug": "^4.3.4",
 				"ts-api-utils": "^1.0.1"
 			},
 			"dependencies": {
 				"@typescript-eslint/scope-manager": {
-					"version": "6.19.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.19.1.tgz",
-					"integrity": "sha512-4CdXYjKf6/6aKNMSly/BP4iCSOpvMmqtDzRtqFyyAae3z5kkqEjKndR5vDHL8rSuMIIWP8u4Mw4VxLyxZW6D5w==",
+					"version": "6.20.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.20.0.tgz",
+					"integrity": "sha512-p4rvHQRDTI1tGGMDFQm+GtxP1ZHyAh64WANVoyEcNMpaTFn3ox/3CcgtIlELnRfKzSs/DwYlDccJEtr3O6qBvA==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.19.1",
-						"@typescript-eslint/visitor-keys": "6.19.1"
+						"@typescript-eslint/types": "6.20.0",
+						"@typescript-eslint/visitor-keys": "6.20.0"
 					}
 				},
 				"@typescript-eslint/types": {
-					"version": "6.19.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.19.1.tgz",
-					"integrity": "sha512-6+bk6FEtBhvfYvpHsDgAL3uo4BfvnTnoge5LrrCj2eJN8g3IJdLTD4B/jK3Q6vo4Ql/Hoip9I8aB6fF+6RfDqg==",
+					"version": "6.20.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.20.0.tgz",
+					"integrity": "sha512-MM9mfZMAhiN4cOEcUOEx+0HmuaW3WBfukBZPCfwSqFnQy0grXYtngKCqpQN339X3RrwtzspWJrpbrupKYUSBXQ==",
 					"dev": true
 				},
 				"@typescript-eslint/typescript-estree": {
-					"version": "6.19.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.19.1.tgz",
-					"integrity": "sha512-aFdAxuhzBFRWhy+H20nYu19+Km+gFfwNO4TEqyszkMcgBDYQjmPJ61erHxuT2ESJXhlhrO7I5EFIlZ+qGR8oVA==",
+					"version": "6.20.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.20.0.tgz",
+					"integrity": "sha512-RnRya9q5m6YYSpBN7IzKu9FmLcYtErkDkc8/dKv81I9QiLLtVBHrjz+Ev/crAqgMNW2FCsoZF4g2QUylMnJz+g==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.19.1",
-						"@typescript-eslint/visitor-keys": "6.19.1",
+						"@typescript-eslint/types": "6.20.0",
+						"@typescript-eslint/visitor-keys": "6.20.0",
 						"debug": "^4.3.4",
 						"globby": "^11.1.0",
 						"is-glob": "^4.0.3",
@@ -11834,27 +11834,27 @@
 					}
 				},
 				"@typescript-eslint/utils": {
-					"version": "6.19.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.19.1.tgz",
-					"integrity": "sha512-JvjfEZuP5WoMqwh9SPAPDSHSg9FBHHGhjPugSRxu5jMfjvBpq5/sGTD+9M9aQ5sh6iJ8AY/Kk/oUYVEMAPwi7w==",
+					"version": "6.20.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.20.0.tgz",
+					"integrity": "sha512-/EKuw+kRu2vAqCoDwDCBtDRU6CTKbUmwwI7SH7AashZ+W+7o8eiyy6V2cdOqN49KsTcASWsC5QeghYuRDTyOOg==",
 					"dev": true,
 					"requires": {
 						"@eslint-community/eslint-utils": "^4.4.0",
 						"@types/json-schema": "^7.0.12",
 						"@types/semver": "^7.5.0",
-						"@typescript-eslint/scope-manager": "6.19.1",
-						"@typescript-eslint/types": "6.19.1",
-						"@typescript-eslint/typescript-estree": "6.19.1",
+						"@typescript-eslint/scope-manager": "6.20.0",
+						"@typescript-eslint/types": "6.20.0",
+						"@typescript-eslint/typescript-estree": "6.20.0",
 						"semver": "^7.5.4"
 					}
 				},
 				"@typescript-eslint/visitor-keys": {
-					"version": "6.19.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.19.1.tgz",
-					"integrity": "sha512-gkdtIO+xSO/SmI0W68DBg4u1KElmIUo3vXzgHyGPs6cxgB0sa3TlptRAAE0hUY1hM6FcDKEv7aIwiTGm76cXfQ==",
+					"version": "6.20.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.20.0.tgz",
+					"integrity": "sha512-E8Cp98kRe4gKHjJD4NExXKz/zOJ1A2hhZc+IMVD6i7w4yjIvh6VyuRI0gRtxAsXtoC35uGMaQ9rjI2zJaXDEAw==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.19.1",
+						"@typescript-eslint/types": "6.20.0",
 						"eslint-visitor-keys": "^3.4.1"
 					}
 				},
diff --git a/package.json b/package.json
index c88db0c9..67b0c01d 100644
--- a/package.json
+++ b/package.json
@@ -43,7 +43,7 @@
 		"@types/jest": "^29.5.11",
 		"@types/node": "^20.11.10",
 		"@types/yargs": "^17.0.32",
-		"@typescript-eslint/eslint-plugin": "^6.19.1",
+		"@typescript-eslint/eslint-plugin": "^6.20.0",
 		"eslint": "^8.56.0",
 		"eslint-config-prettier": "^9.1.0",
 		"eslint-plugin-header": "^3.1.1",