diff --git a/package-lock.json b/package-lock.json
index e570b9e6..e2628ca1 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -2469,11 +2469,11 @@
 			"dev": true
 		},
 		"node_modules/axios": {
-			"version": "1.6.1",
-			"resolved": "https://registry.npmjs.org/axios/-/axios-1.6.1.tgz",
-			"integrity": "sha512-vfBmhDpKafglh0EldBEbVuoe7DyAavGSLWhuSm5ZSEKQnHhBf0xAAwybbNH1IkrJNGnS/VG4I5yxig1pCEXE4g==",
+			"version": "1.6.5",
+			"resolved": "https://registry.npmjs.org/axios/-/axios-1.6.5.tgz",
+			"integrity": "sha512-Ii012v05KEVuUoFWmMW/UQv9aRIc3ZwkWDcM+h5Il8izZCtRVpDUfwpoFf7eOtajT3QiGR4yDUx7lPqHJULgbg==",
 			"dependencies": {
-				"follow-redirects": "^1.15.0",
+				"follow-redirects": "^1.15.4",
 				"form-data": "^4.0.0",
 				"proxy-from-env": "^1.1.0"
 			}
@@ -3097,23 +3097,23 @@
 			}
 		},
 		"node_modules/cmake-js": {
-			"version": "7.2.1",
-			"resolved": "https://registry.npmjs.org/cmake-js/-/cmake-js-7.2.1.tgz",
-			"integrity": "sha512-AdPSz9cSIJWdKvm0aJgVu3X8i0U3mNTswJkSHzZISqmYVjZk7Td4oDFg0mCBA383wO+9pG5Ix7pEP1CZH9x2BA==",
+			"version": "7.3.0",
+			"resolved": "https://registry.npmjs.org/cmake-js/-/cmake-js-7.3.0.tgz",
+			"integrity": "sha512-dXs2zq9WxrV87bpJ+WbnGKv8WUBXDw8blNiwNHoRe/it+ptscxhQHKB1SJXa1w+kocLMeP28Tk4/eTCezg4o+w==",
 			"dependencies": {
-				"axios": "^1.3.2",
+				"axios": "^1.6.5",
 				"debug": "^4",
-				"fs-extra": "^10.1.0",
+				"fs-extra": "^11.2.0",
 				"lodash.isplainobject": "^4.0.6",
 				"memory-stream": "^1.0.0",
-				"node-api-headers": "^0.0.2",
+				"node-api-headers": "^1.1.0",
 				"npmlog": "^6.0.2",
 				"rc": "^1.2.7",
-				"semver": "^7.3.8",
-				"tar": "^6.1.11",
+				"semver": "^7.5.4",
+				"tar": "^6.2.0",
 				"url-join": "^4.0.1",
 				"which": "^2.0.2",
-				"yargs": "^17.6.0"
+				"yargs": "^17.7.2"
 			},
 			"bin": {
 				"cmake-js": "bin/cmake-js"
@@ -4359,9 +4359,9 @@
 			"dev": true
 		},
 		"node_modules/follow-redirects": {
-			"version": "1.15.4",
-			"resolved": "https://registry.npmjs.org/follow-redirects/-/follow-redirects-1.15.4.tgz",
-			"integrity": "sha512-Cr4D/5wlrb0z9dgERpUL3LrmPKVDsETIJhaCMeDfuFYcqa5bldGV6wBsAN6X/vxlXQtFBMrXdXxdL8CbDTGniw==",
+			"version": "1.15.5",
+			"resolved": "https://registry.npmjs.org/follow-redirects/-/follow-redirects-1.15.5.tgz",
+			"integrity": "sha512-vSFWUON1B+yAw1VN4xMfxgn5fTUiaOzAJCKBwIIgT/+7CuGy9+r+5gITvP62j3RmaD5Ph65UaERdOSRGUzZtgw==",
 			"funding": [
 				{
 					"type": "individual",
@@ -4442,16 +4442,16 @@
 			"integrity": "sha512-y6OAwoSIf7FyjMIv94u+b5rdheZEjzR63GTyZJm5qh4Bi+2YgwLCcI/fPFZkL5PSixOt6ZNKm+w+Hfp/Bciwow=="
 		},
 		"node_modules/fs-extra": {
-			"version": "10.1.0",
-			"resolved": "https://registry.npmjs.org/fs-extra/-/fs-extra-10.1.0.tgz",
-			"integrity": "sha512-oRXApq54ETRj4eMiFzGnHWGy+zo5raudjuxN0b8H7s/RU2oW0Wvsx9O0ACRN/kRq9E8Vu/ReskGB5o3ji+FzHQ==",
+			"version": "11.2.0",
+			"resolved": "https://registry.npmjs.org/fs-extra/-/fs-extra-11.2.0.tgz",
+			"integrity": "sha512-PmDi3uwK5nFuXh7XDTlVnS17xJS7vW36is2+w3xcv8SVxiB4NyATf4ctkVY5bkSjX0Y4nbvZCq1/EjtEyr9ktw==",
 			"dependencies": {
 				"graceful-fs": "^4.2.0",
 				"jsonfile": "^6.0.1",
 				"universalify": "^2.0.0"
 			},
 			"engines": {
-				"node": ">=12"
+				"node": ">=14.14"
 			}
 		},
 		"node_modules/fs-minipass": {
@@ -7107,9 +7107,9 @@
 			"integrity": "sha512-vgbBJTS4m5/KkE16t5Ly0WW9hz46swAstv0hYYwMtbG7AznRhNyfLRe8HZAiWIpcHzoO7HxhLuBQj9rJ/Ho0ZA=="
 		},
 		"node_modules/node-api-headers": {
-			"version": "0.0.2",
-			"resolved": "https://registry.npmjs.org/node-api-headers/-/node-api-headers-0.0.2.tgz",
-			"integrity": "sha512-YsjmaKGPDkmhoNKIpkChtCsPVaRE0a274IdERKnuc/E8K1UJdBZ4/mvI006OijlQZHCfpRNOH3dfHQs92se8gg=="
+			"version": "1.1.0",
+			"resolved": "https://registry.npmjs.org/node-api-headers/-/node-api-headers-1.1.0.tgz",
+			"integrity": "sha512-ucQW+SbYCUPfprvmzBsnjT034IGRB2XK8rRc78BgjNKhTdFKgAwAmgW704bKIBmcYW48it0Gkjpkd39Azrwquw=="
 		},
 		"node_modules/node-gyp": {
 			"version": "9.4.0",
@@ -9352,13 +9352,13 @@
 			}
 		},
 		"node_modules/tar": {
-			"version": "6.1.12",
-			"resolved": "https://registry.npmjs.org/tar/-/tar-6.1.12.tgz",
-			"integrity": "sha512-jU4TdemS31uABHd+Lt5WEYJuzn+TJTCBLljvIAHZOz6M9Os5pJ4dD+vRFLxPa/n3T0iEFzpi+0x1UfuDZYbRMw==",
+			"version": "6.2.0",
+			"resolved": "https://registry.npmjs.org/tar/-/tar-6.2.0.tgz",
+			"integrity": "sha512-/Wo7DcT0u5HUV486xg675HtjNd3BXZ6xDbzsCUZPt5iw8bTQ63bP0Raut3mvro9u+CUyq7YQd8Cx55fsZXxqLQ==",
 			"dependencies": {
 				"chownr": "^2.0.0",
 				"fs-minipass": "^2.0.0",
-				"minipass": "^3.0.0",
+				"minipass": "^5.0.0",
 				"minizlib": "^2.1.1",
 				"mkdirp": "^1.0.3",
 				"yallist": "^4.0.0"
@@ -9408,6 +9408,14 @@
 				"readable-stream": "^3.4.0"
 			}
 		},
+		"node_modules/tar/node_modules/minipass": {
+			"version": "5.0.0",
+			"resolved": "https://registry.npmjs.org/minipass/-/minipass-5.0.0.tgz",
+			"integrity": "sha512-3FnjYuehv9k6ovOEbyOswadCDPX1piCfhV8ncmYtHOjuPwylVWsghTLo7rabjC3Rx5xD4HDx8Wm1xnMF7S5qFQ==",
+			"engines": {
+				"node": ">=8"
+			}
+		},
 		"node_modules/tar/node_modules/mkdirp": {
 			"version": "1.0.4",
 			"resolved": "https://registry.npmjs.org/mkdirp/-/mkdirp-1.0.4.tgz",
@@ -9821,9 +9829,9 @@
 			}
 		},
 		"node_modules/universalify": {
-			"version": "2.0.0",
-			"resolved": "https://registry.npmjs.org/universalify/-/universalify-2.0.0.tgz",
-			"integrity": "sha512-hAZsKq7Yy11Zu1DE0OzWjw7nnLZmJZYTDZZyEFHZdUhV8FkH5MCfoU1XMaxXovpyW5nq5scPqq0ZDP9Zyl04oQ==",
+			"version": "2.0.1",
+			"resolved": "https://registry.npmjs.org/universalify/-/universalify-2.0.1.tgz",
+			"integrity": "sha512-gptHNQghINnc/vTGIk0SOFGFNXw7JVrlRUtConJRlvaw6DuX0wO5Jeko9sWrMBhh+PsYAZ7oXAiOnf/UKogyiw==",
 			"engines": {
 				"node": ">= 10.0.0"
 			}
@@ -10262,7 +10270,7 @@
 			"license": "Apache-2.0",
 			"dependencies": {
 				"bindings": "^1.5.0",
-				"cmake-js": "^7.2.1",
+				"cmake-js": "^7.3.0",
 				"node-addon-api": "^7.0.0",
 				"prebuild-install": "^7.1.1"
 			},
@@ -11061,7 +11069,7 @@
 				"@types/node": "^20.11.3",
 				"bindings": "^1.5.0",
 				"clang-format": "^1.8.0",
-				"cmake-js": "^7.2.1",
+				"cmake-js": "^7.3.0",
 				"node-addon-api": "^7.0.0",
 				"prebuild": "^12.1.0",
 				"prebuild-install": "^7.1.1"
@@ -12216,11 +12224,11 @@
 			"dev": true
 		},
 		"axios": {
-			"version": "1.6.1",
-			"resolved": "https://registry.npmjs.org/axios/-/axios-1.6.1.tgz",
-			"integrity": "sha512-vfBmhDpKafglh0EldBEbVuoe7DyAavGSLWhuSm5ZSEKQnHhBf0xAAwybbNH1IkrJNGnS/VG4I5yxig1pCEXE4g==",
+			"version": "1.6.5",
+			"resolved": "https://registry.npmjs.org/axios/-/axios-1.6.5.tgz",
+			"integrity": "sha512-Ii012v05KEVuUoFWmMW/UQv9aRIc3ZwkWDcM+h5Il8izZCtRVpDUfwpoFf7eOtajT3QiGR4yDUx7lPqHJULgbg==",
 			"requires": {
-				"follow-redirects": "^1.15.0",
+				"follow-redirects": "^1.15.4",
 				"form-data": "^4.0.0",
 				"proxy-from-env": "^1.1.0"
 			}
@@ -12656,23 +12664,23 @@
 			}
 		},
 		"cmake-js": {
-			"version": "7.2.1",
-			"resolved": "https://registry.npmjs.org/cmake-js/-/cmake-js-7.2.1.tgz",
-			"integrity": "sha512-AdPSz9cSIJWdKvm0aJgVu3X8i0U3mNTswJkSHzZISqmYVjZk7Td4oDFg0mCBA383wO+9pG5Ix7pEP1CZH9x2BA==",
+			"version": "7.3.0",
+			"resolved": "https://registry.npmjs.org/cmake-js/-/cmake-js-7.3.0.tgz",
+			"integrity": "sha512-dXs2zq9WxrV87bpJ+WbnGKv8WUBXDw8blNiwNHoRe/it+ptscxhQHKB1SJXa1w+kocLMeP28Tk4/eTCezg4o+w==",
 			"requires": {
-				"axios": "^1.3.2",
+				"axios": "^1.6.5",
 				"debug": "^4",
-				"fs-extra": "^10.1.0",
+				"fs-extra": "^11.2.0",
 				"lodash.isplainobject": "^4.0.6",
 				"memory-stream": "^1.0.0",
-				"node-api-headers": "^0.0.2",
+				"node-api-headers": "^1.1.0",
 				"npmlog": "^6.0.2",
 				"rc": "^1.2.7",
-				"semver": "^7.3.8",
-				"tar": "^6.1.11",
+				"semver": "^7.5.4",
+				"tar": "^6.2.0",
 				"url-join": "^4.0.1",
 				"which": "^2.0.2",
-				"yargs": "^17.6.0"
+				"yargs": "^17.7.2"
 			}
 		},
 		"co": {
@@ -13626,9 +13634,9 @@
 			"dev": true
 		},
 		"follow-redirects": {
-			"version": "1.15.4",
-			"resolved": "https://registry.npmjs.org/follow-redirects/-/follow-redirects-1.15.4.tgz",
-			"integrity": "sha512-Cr4D/5wlrb0z9dgERpUL3LrmPKVDsETIJhaCMeDfuFYcqa5bldGV6wBsAN6X/vxlXQtFBMrXdXxdL8CbDTGniw=="
+			"version": "1.15.5",
+			"resolved": "https://registry.npmjs.org/follow-redirects/-/follow-redirects-1.15.5.tgz",
+			"integrity": "sha512-vSFWUON1B+yAw1VN4xMfxgn5fTUiaOzAJCKBwIIgT/+7CuGy9+r+5gITvP62j3RmaD5Ph65UaERdOSRGUzZtgw=="
 		},
 		"for-each": {
 			"version": "0.3.3",
@@ -13679,9 +13687,9 @@
 			"integrity": "sha512-y6OAwoSIf7FyjMIv94u+b5rdheZEjzR63GTyZJm5qh4Bi+2YgwLCcI/fPFZkL5PSixOt6ZNKm+w+Hfp/Bciwow=="
 		},
 		"fs-extra": {
-			"version": "10.1.0",
-			"resolved": "https://registry.npmjs.org/fs-extra/-/fs-extra-10.1.0.tgz",
-			"integrity": "sha512-oRXApq54ETRj4eMiFzGnHWGy+zo5raudjuxN0b8H7s/RU2oW0Wvsx9O0ACRN/kRq9E8Vu/ReskGB5o3ji+FzHQ==",
+			"version": "11.2.0",
+			"resolved": "https://registry.npmjs.org/fs-extra/-/fs-extra-11.2.0.tgz",
+			"integrity": "sha512-PmDi3uwK5nFuXh7XDTlVnS17xJS7vW36is2+w3xcv8SVxiB4NyATf4ctkVY5bkSjX0Y4nbvZCq1/EjtEyr9ktw==",
 			"requires": {
 				"graceful-fs": "^4.2.0",
 				"jsonfile": "^6.0.1",
@@ -15608,9 +15616,9 @@
 			"integrity": "sha512-vgbBJTS4m5/KkE16t5Ly0WW9hz46swAstv0hYYwMtbG7AznRhNyfLRe8HZAiWIpcHzoO7HxhLuBQj9rJ/Ho0ZA=="
 		},
 		"node-api-headers": {
-			"version": "0.0.2",
-			"resolved": "https://registry.npmjs.org/node-api-headers/-/node-api-headers-0.0.2.tgz",
-			"integrity": "sha512-YsjmaKGPDkmhoNKIpkChtCsPVaRE0a274IdERKnuc/E8K1UJdBZ4/mvI006OijlQZHCfpRNOH3dfHQs92se8gg=="
+			"version": "1.1.0",
+			"resolved": "https://registry.npmjs.org/node-api-headers/-/node-api-headers-1.1.0.tgz",
+			"integrity": "sha512-ucQW+SbYCUPfprvmzBsnjT034IGRB2XK8rRc78BgjNKhTdFKgAwAmgW704bKIBmcYW48it0Gkjpkd39Azrwquw=="
 		},
 		"node-gyp": {
 			"version": "9.4.0",
@@ -17247,18 +17255,23 @@
 			"integrity": "sha512-ot0WnXS9fgdkgIcePe6RHNk1WA8+muPa6cSjeR3V8K27q9BB1rTE3R1p7Hv0z1ZyAc8s6Vvv8DIyWf681MAt0w=="
 		},
 		"tar": {
-			"version": "6.1.12",
-			"resolved": "https://registry.npmjs.org/tar/-/tar-6.1.12.tgz",
-			"integrity": "sha512-jU4TdemS31uABHd+Lt5WEYJuzn+TJTCBLljvIAHZOz6M9Os5pJ4dD+vRFLxPa/n3T0iEFzpi+0x1UfuDZYbRMw==",
+			"version": "6.2.0",
+			"resolved": "https://registry.npmjs.org/tar/-/tar-6.2.0.tgz",
+			"integrity": "sha512-/Wo7DcT0u5HUV486xg675HtjNd3BXZ6xDbzsCUZPt5iw8bTQ63bP0Raut3mvro9u+CUyq7YQd8Cx55fsZXxqLQ==",
 			"requires": {
 				"chownr": "^2.0.0",
 				"fs-minipass": "^2.0.0",
-				"minipass": "^3.0.0",
+				"minipass": "^5.0.0",
 				"minizlib": "^2.1.1",
 				"mkdirp": "^1.0.3",
 				"yallist": "^4.0.0"
 			},
 			"dependencies": {
+				"minipass": {
+					"version": "5.0.0",
+					"resolved": "https://registry.npmjs.org/minipass/-/minipass-5.0.0.tgz",
+					"integrity": "sha512-3FnjYuehv9k6ovOEbyOswadCDPX1piCfhV8ncmYtHOjuPwylVWsghTLo7rabjC3Rx5xD4HDx8Wm1xnMF7S5qFQ=="
+				},
 				"mkdirp": {
 					"version": "1.0.4",
 					"resolved": "https://registry.npmjs.org/mkdirp/-/mkdirp-1.0.4.tgz",
@@ -17604,9 +17617,9 @@
 			}
 		},
 		"universalify": {
-			"version": "2.0.0",
-			"resolved": "https://registry.npmjs.org/universalify/-/universalify-2.0.0.tgz",
-			"integrity": "sha512-hAZsKq7Yy11Zu1DE0OzWjw7nnLZmJZYTDZZyEFHZdUhV8FkH5MCfoU1XMaxXovpyW5nq5scPqq0ZDP9Zyl04oQ=="
+			"version": "2.0.1",
+			"resolved": "https://registry.npmjs.org/universalify/-/universalify-2.0.1.tgz",
+			"integrity": "sha512-gptHNQghINnc/vTGIk0SOFGFNXw7JVrlRUtConJRlvaw6DuX0wO5Jeko9sWrMBhh+PsYAZ7oXAiOnf/UKogyiw=="
 		},
 		"update-browserslist-db": {
 			"version": "1.0.13",
diff --git a/packages/fuzzer/package.json b/packages/fuzzer/package.json
index 3cef5ddf..7249460b 100644
--- a/packages/fuzzer/package.json
+++ b/packages/fuzzer/package.json
@@ -29,7 +29,7 @@
 	},
 	"dependencies": {
 		"bindings": "^1.5.0",
-		"cmake-js": "^7.2.1",
+		"cmake-js": "^7.3.0",
 		"node-addon-api": "^7.0.0",
 		"prebuild-install": "^7.1.1"
 	},