diff --git a/package-lock.json b/package-lock.json
index f2f4d031..73103784 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -1,12 +1,12 @@
 {
 	"name": "jazzer.js",
-	"version": "1.6.0",
+	"version": "1.6.1",
 	"lockfileVersion": 2,
 	"requires": true,
 	"packages": {
 		"": {
 			"name": "jazzer.js",
-			"version": "1.6.0",
+			"version": "1.6.1",
 			"license": "Apache-2.0",
 			"workspaces": [
 				"packages/*"
@@ -9065,11 +9065,11 @@
 		},
 		"packages/bug-detectors": {
 			"name": "@jazzer.js/bug-detectors",
-			"version": "1.6.0",
+			"version": "1.6.1",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@jazzer.js/core": "*",
-				"@jazzer.js/hooking": "*"
+				"@jazzer.js/core": "1.6.1",
+				"@jazzer.js/hooking": "1.6.1"
 			},
 			"devDependencies": {},
 			"engines": {
@@ -9079,13 +9079,13 @@
 		},
 		"packages/core": {
 			"name": "@jazzer.js/core",
-			"version": "1.6.0",
+			"version": "1.6.1",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@jazzer.js/bug-detectors": "*",
-				"@jazzer.js/fuzzer": "*",
-				"@jazzer.js/hooking": "*",
-				"@jazzer.js/instrumentor": "*",
+				"@jazzer.js/bug-detectors": "1.6.1",
+				"@jazzer.js/fuzzer": "1.6.1",
+				"@jazzer.js/hooking": "1.6.1",
+				"@jazzer.js/instrumentor": "1.6.1",
 				"istanbul-lib-coverage": "^3.2.0",
 				"istanbul-lib-report": "^3.0.1",
 				"istanbul-reports": "^3.1.6",
@@ -9105,7 +9105,7 @@
 		},
 		"packages/fuzzer": {
 			"name": "@jazzer.js/fuzzer",
-			"version": "1.6.0",
+			"version": "1.6.1",
 			"hasInstallScript": true,
 			"license": "Apache-2.0",
 			"dependencies": {
@@ -9127,7 +9127,7 @@
 		},
 		"packages/hooking": {
 			"name": "@jazzer.js/hooking",
-			"version": "1.6.0",
+			"version": "1.6.1",
 			"license": "Apache-2.0",
 			"dependencies": {
 				"@babel/core": "^7.22.10"
@@ -9142,13 +9142,13 @@
 		},
 		"packages/instrumentor": {
 			"name": "@jazzer.js/instrumentor",
-			"version": "1.6.0",
+			"version": "1.6.1",
 			"license": "Apache-2.0",
 			"dependencies": {
 				"@babel/core": "^7.22.10",
 				"@babel/generator": "^7.22.10",
-				"@jazzer.js/fuzzer": "*",
-				"@jazzer.js/hooking": "*",
+				"@jazzer.js/fuzzer": "1.6.1",
+				"@jazzer.js/hooking": "1.6.1",
 				"istanbul-lib-hook": "^3.0.0",
 				"istanbul-lib-instrument": "^6.0.0",
 				"proper-lockfile": "^4.1.2",
@@ -9191,10 +9191,10 @@
 		},
 		"packages/jest-runner": {
 			"name": "@jazzer.js/jest-runner",
-			"version": "1.6.0",
+			"version": "1.6.1",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@jazzer.js/core": "*",
+				"@jazzer.js/core": "1.6.1",
 				"cosmiconfig": "^8.2.0",
 				"istanbul-reports": "^3.1.6"
 			},
@@ -9852,17 +9852,17 @@
 		"@jazzer.js/bug-detectors": {
 			"version": "file:packages/bug-detectors",
 			"requires": {
-				"@jazzer.js/core": "*",
-				"@jazzer.js/hooking": "*"
+				"@jazzer.js/core": "1.6.1",
+				"@jazzer.js/hooking": "1.6.1"
 			}
 		},
 		"@jazzer.js/core": {
 			"version": "file:packages/core",
 			"requires": {
-				"@jazzer.js/bug-detectors": "*",
-				"@jazzer.js/fuzzer": "*",
-				"@jazzer.js/hooking": "*",
-				"@jazzer.js/instrumentor": "*",
+				"@jazzer.js/bug-detectors": "1.6.1",
+				"@jazzer.js/fuzzer": "1.6.1",
+				"@jazzer.js/hooking": "1.6.1",
+				"@jazzer.js/instrumentor": "1.6.1",
 				"@types/yargs": "^17.0.24",
 				"istanbul-lib-coverage": "^3.2.0",
 				"istanbul-lib-report": "^3.0.1",
@@ -9896,8 +9896,8 @@
 			"requires": {
 				"@babel/core": "^7.22.10",
 				"@babel/generator": "^7.22.10",
-				"@jazzer.js/fuzzer": "*",
-				"@jazzer.js/hooking": "*",
+				"@jazzer.js/fuzzer": "1.6.1",
+				"@jazzer.js/hooking": "1.6.1",
 				"@types/babel__core": "^7.20.1",
 				"@types/istanbul-lib-hook": "^2.0.1",
 				"@types/istanbul-lib-instrument": "^1.7.4",
@@ -9925,7 +9925,7 @@
 		"@jazzer.js/jest-runner": {
 			"version": "file:packages/jest-runner",
 			"requires": {
-				"@jazzer.js/core": "*",
+				"@jazzer.js/core": "1.6.1",
 				"@types/istanbul-reports": "^3.0.1",
 				"@types/tmp": "^0.2.3",
 				"cosmiconfig": "^8.2.0",
diff --git a/package.json b/package.json
index bb999bcd..aa3a15e0 100644
--- a/package.json
+++ b/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "jazzer.js",
-	"version": "1.6.0",
+	"version": "1.6.1",
 	"description": "Coverage-guided, in-process fuzzing for Node.js",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"keywords": [
diff --git a/packages/bug-detectors/package.json b/packages/bug-detectors/package.json
index 3e527417..294b9e1d 100644
--- a/packages/bug-detectors/package.json
+++ b/packages/bug-detectors/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/bug-detectors",
-	"version": "1.6.0",
+	"version": "1.6.1",
 	"description": "Jazzer.js bug detectors",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -16,8 +16,8 @@
 	"main": "dist/index.js",
 	"types": "dist/index.d.js",
 	"dependencies": {
-		"@jazzer.js/core": "*",
-		"@jazzer.js/hooking": "*"
+		"@jazzer.js/core": "1.6.1",
+		"@jazzer.js/hooking": "1.6.1"
 	},
 	"devDependencies": {},
 	"engines": {
diff --git a/packages/core/package.json b/packages/core/package.json
index 6ba97533..f07c1a98 100644
--- a/packages/core/package.json
+++ b/packages/core/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/core",
-	"version": "1.6.0",
+	"version": "1.6.1",
 	"description": "Jazzer.js CLI",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -19,10 +19,10 @@
 		"jazzer": "dist/cli.js"
 	},
 	"dependencies": {
-		"@jazzer.js/bug-detectors": "*",
-		"@jazzer.js/fuzzer": "*",
-		"@jazzer.js/hooking": "*",
-		"@jazzer.js/instrumentor": "*",
+		"@jazzer.js/bug-detectors": "1.6.1",
+		"@jazzer.js/fuzzer": "1.6.1",
+		"@jazzer.js/hooking": "1.6.1",
+		"@jazzer.js/instrumentor": "1.6.1",
 		"tmp": "^0.2.1",
 		"istanbul-lib-coverage": "^3.2.0",
 		"istanbul-lib-report": "^3.0.1",
diff --git a/packages/fuzzer/package.json b/packages/fuzzer/package.json
index 6f023405..91a2c65d 100644
--- a/packages/fuzzer/package.json
+++ b/packages/fuzzer/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/fuzzer",
-	"version": "1.6.0",
+	"version": "1.6.1",
 	"description": "Jazzer.js libfuzzer-based fuzzer for Node.js",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/hooking/package.json b/packages/hooking/package.json
index 0fe8a416..d59d6e6f 100644
--- a/packages/hooking/package.json
+++ b/packages/hooking/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/hooking",
-	"version": "1.6.0",
+	"version": "1.6.1",
 	"description": "Jazzer.js hooking framework",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/instrumentor/package.json b/packages/instrumentor/package.json
index 5d5005cc..82012ecb 100644
--- a/packages/instrumentor/package.json
+++ b/packages/instrumentor/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/instrumentor",
-	"version": "1.6.0",
+	"version": "1.6.1",
 	"description": "Jazzer.js source code instrumentor",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -18,8 +18,8 @@
 	"dependencies": {
 		"@babel/core": "^7.22.10",
 		"@babel/generator": "^7.22.10",
-		"@jazzer.js/fuzzer": "*",
-		"@jazzer.js/hooking": "*",
+		"@jazzer.js/fuzzer": "1.6.1",
+		"@jazzer.js/hooking": "1.6.1",
 		"istanbul-lib-hook": "^3.0.0",
 		"proper-lockfile": "^4.1.2",
 		"istanbul-lib-instrument": "^6.0.0",
diff --git a/packages/jest-runner/package.json b/packages/jest-runner/package.json
index 3a79a716..1f23b143 100644
--- a/packages/jest-runner/package.json
+++ b/packages/jest-runner/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/jest-runner",
-	"version": "1.6.0",
+	"version": "1.6.1",
 	"description": "",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -16,7 +16,7 @@
 	"main": "dist/index.js",
 	"types": "dist/index.d.ts",
 	"dependencies": {
-		"@jazzer.js/core": "*",
+		"@jazzer.js/core": "1.6.1",
 		"cosmiconfig": "^8.2.0",
 		"istanbul-reports": "^3.1.6"
 	},