diff --git a/package-lock.json b/package-lock.json
index cb631c6c..07e2d1a1 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -144,20 +144,20 @@
 			}
 		},
 		"node_modules/@babel/core": {
-			"version": "7.23.7",
-			"resolved": "https://registry.npmjs.org/@babel/core/-/core-7.23.7.tgz",
-			"integrity": "sha512-+UpDgowcmqe36d4NwqvKsyPMlOLNGMsfMmQ5WGCu+siCe3t3dfe9njrzGfdN4qq+bcNUt0+Vw6haRxBOycs4dw==",
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/core/-/core-7.23.9.tgz",
+			"integrity": "sha512-5q0175NOjddqpvvzU+kDiSOAk4PfdO6FvwCWoQ6RO7rTzEe8vlo+4HVfcnAREhD4npMs0e9uZypjTwzZPCf/cw==",
 			"dependencies": {
 				"@ampproject/remapping": "^2.2.0",
 				"@babel/code-frame": "^7.23.5",
 				"@babel/generator": "^7.23.6",
 				"@babel/helper-compilation-targets": "^7.23.6",
 				"@babel/helper-module-transforms": "^7.23.3",
-				"@babel/helpers": "^7.23.7",
-				"@babel/parser": "^7.23.6",
-				"@babel/template": "^7.22.15",
-				"@babel/traverse": "^7.23.7",
-				"@babel/types": "^7.23.6",
+				"@babel/helpers": "^7.23.9",
+				"@babel/parser": "^7.23.9",
+				"@babel/template": "^7.23.9",
+				"@babel/traverse": "^7.23.9",
+				"@babel/types": "^7.23.9",
 				"convert-source-map": "^2.0.0",
 				"debug": "^4.1.0",
 				"gensync": "^1.0.0-beta.2",
@@ -363,13 +363,13 @@
 			}
 		},
 		"node_modules/@babel/helpers": {
-			"version": "7.23.7",
-			"resolved": "https://registry.npmjs.org/@babel/helpers/-/helpers-7.23.7.tgz",
-			"integrity": "sha512-6AMnjCoC8wjqBzDHkuqpa7jAKwvMo4dC+lr/TFBz+ucfulO1XMpDnwWPGBNwClOKZ8h6xn5N81W/R5OrcKtCbQ==",
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/helpers/-/helpers-7.23.9.tgz",
+			"integrity": "sha512-87ICKgU5t5SzOT7sBMfCOZQ2rHjRU+Pcb9BoILMYz600W6DkVRLFBPwQ18gwUVvggqXivaUakpnxWQGbpywbBQ==",
 			"dependencies": {
-				"@babel/template": "^7.22.15",
-				"@babel/traverse": "^7.23.7",
-				"@babel/types": "^7.23.6"
+				"@babel/template": "^7.23.9",
+				"@babel/traverse": "^7.23.9",
+				"@babel/types": "^7.23.9"
 			},
 			"engines": {
 				"node": ">=6.9.0"
@@ -453,9 +453,9 @@
 			}
 		},
 		"node_modules/@babel/parser": {
-			"version": "7.23.6",
-			"resolved": "https://registry.npmjs.org/@babel/parser/-/parser-7.23.6.tgz",
-			"integrity": "sha512-Z2uID7YJ7oNvAI20O9X0bblw7Qqs8Q2hFy0R9tAfnfLkp5MW0UH9eUvnDSnFwKZ0AvgS1ucqR4KzvVHgnke1VQ==",
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/parser/-/parser-7.23.9.tgz",
+			"integrity": "sha512-9tcKgqKbs3xGJ+NtKF2ndOBBLVwPjl1SHxPQkd36r3Dlirw3xWUeGaTbqr7uGZcTaxkVNwc+03SVP7aCdWrTlA==",
 			"bin": {
 				"parser": "bin/babel-parser.js"
 			},
@@ -627,22 +627,22 @@
 			}
 		},
 		"node_modules/@babel/template": {
-			"version": "7.22.15",
-			"resolved": "https://registry.npmjs.org/@babel/template/-/template-7.22.15.tgz",
-			"integrity": "sha512-QPErUVm4uyJa60rkI73qneDacvdvzxshT3kksGqlGWYdOTIUOwJ7RDUL8sGqslY1uXWSL6xMFKEXDS3ox2uF0w==",
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/template/-/template-7.23.9.tgz",
+			"integrity": "sha512-+xrD2BWLpvHKNmX2QbpdpsBaWnRxahMwJjO+KZk2JOElj5nSmKezyS1B4u+QbHMTX69t4ukm6hh9lsYQ7GHCKA==",
 			"dependencies": {
-				"@babel/code-frame": "^7.22.13",
-				"@babel/parser": "^7.22.15",
-				"@babel/types": "^7.22.15"
+				"@babel/code-frame": "^7.23.5",
+				"@babel/parser": "^7.23.9",
+				"@babel/types": "^7.23.9"
 			},
 			"engines": {
 				"node": ">=6.9.0"
 			}
 		},
 		"node_modules/@babel/traverse": {
-			"version": "7.23.7",
-			"resolved": "https://registry.npmjs.org/@babel/traverse/-/traverse-7.23.7.tgz",
-			"integrity": "sha512-tY3mM8rH9jM0YHFGyfC0/xf+SB5eKUu7HPj7/k3fpi9dAlsMc5YbQvDi0Sh2QTPXqMhyaAtzAr807TIyfQrmyg==",
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/traverse/-/traverse-7.23.9.tgz",
+			"integrity": "sha512-I/4UJ9vs90OkBtY6iiiTORVMyIhJ4kAVmsKo9KFc8UOxMeUfi2hvtIBsET5u9GizXE6/GFSuKCTNfgCswuEjRg==",
 			"dependencies": {
 				"@babel/code-frame": "^7.23.5",
 				"@babel/generator": "^7.23.6",
@@ -650,8 +650,8 @@
 				"@babel/helper-function-name": "^7.23.0",
 				"@babel/helper-hoist-variables": "^7.22.5",
 				"@babel/helper-split-export-declaration": "^7.22.6",
-				"@babel/parser": "^7.23.6",
-				"@babel/types": "^7.23.6",
+				"@babel/parser": "^7.23.9",
+				"@babel/types": "^7.23.9",
 				"debug": "^4.3.1",
 				"globals": "^11.1.0"
 			},
@@ -668,9 +668,9 @@
 			}
 		},
 		"node_modules/@babel/types": {
-			"version": "7.23.6",
-			"resolved": "https://registry.npmjs.org/@babel/types/-/types-7.23.6.tgz",
-			"integrity": "sha512-+uarb83brBzPKN38NX1MkB6vb6+mwvR6amUulqAE7ccQw1pEl+bCia9TbdG1lsnFP7lZySvUn37CHyXQdfTwzg==",
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/types/-/types-7.23.9.tgz",
+			"integrity": "sha512-dQjSq/7HaSjRM43FFGnv5keM2HsxpmyV1PfaSVm0nzzjwwTmjOe6J4bC8e3+pTEIgHaHj+1ZlLThRJ2auc/w1Q==",
 			"dependencies": {
 				"@babel/helper-string-parser": "^7.23.4",
 				"@babel/helper-validator-identifier": "^7.22.20",
@@ -10293,7 +10293,7 @@
 			"version": "2.1.0",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@babel/core": "^7.23.7"
+				"@babel/core": "^7.23.9"
 			},
 			"devDependencies": {
 				"@types/babel__core": "^7.20.5"
@@ -10308,7 +10308,7 @@
 			"version": "2.1.0",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@babel/core": "^7.23.7",
+				"@babel/core": "^7.23.9",
 				"@babel/generator": "^7.23.5",
 				"@jazzer.js/fuzzer": "2.1.0",
 				"@jazzer.js/hooking": "2.1.0",
@@ -10457,20 +10457,20 @@
 			"integrity": "sha512-uU27kfDRlhfKl+w1U6vp16IuvSLtjAxdArVXPa9BvLkrr7CYIsxH5adpHObeAGY/41+syctUWOZ140a2Rvkgjw=="
 		},
 		"@babel/core": {
-			"version": "7.23.7",
-			"resolved": "https://registry.npmjs.org/@babel/core/-/core-7.23.7.tgz",
-			"integrity": "sha512-+UpDgowcmqe36d4NwqvKsyPMlOLNGMsfMmQ5WGCu+siCe3t3dfe9njrzGfdN4qq+bcNUt0+Vw6haRxBOycs4dw==",
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/core/-/core-7.23.9.tgz",
+			"integrity": "sha512-5q0175NOjddqpvvzU+kDiSOAk4PfdO6FvwCWoQ6RO7rTzEe8vlo+4HVfcnAREhD4npMs0e9uZypjTwzZPCf/cw==",
 			"requires": {
 				"@ampproject/remapping": "^2.2.0",
 				"@babel/code-frame": "^7.23.5",
 				"@babel/generator": "^7.23.6",
 				"@babel/helper-compilation-targets": "^7.23.6",
 				"@babel/helper-module-transforms": "^7.23.3",
-				"@babel/helpers": "^7.23.7",
-				"@babel/parser": "^7.23.6",
-				"@babel/template": "^7.22.15",
-				"@babel/traverse": "^7.23.7",
-				"@babel/types": "^7.23.6",
+				"@babel/helpers": "^7.23.9",
+				"@babel/parser": "^7.23.9",
+				"@babel/template": "^7.23.9",
+				"@babel/traverse": "^7.23.9",
+				"@babel/types": "^7.23.9",
 				"convert-source-map": "^2.0.0",
 				"debug": "^4.1.0",
 				"gensync": "^1.0.0-beta.2",
@@ -10624,13 +10624,13 @@
 			"integrity": "sha512-85ttAOMLsr53VgXkTbkx8oA6YTfT4q7/HzXSLEYmjcSTJPMPQtvq1BD79Byep5xMUYbGRzEpDsjUf3dyp54IKw=="
 		},
 		"@babel/helpers": {
-			"version": "7.23.7",
-			"resolved": "https://registry.npmjs.org/@babel/helpers/-/helpers-7.23.7.tgz",
-			"integrity": "sha512-6AMnjCoC8wjqBzDHkuqpa7jAKwvMo4dC+lr/TFBz+ucfulO1XMpDnwWPGBNwClOKZ8h6xn5N81W/R5OrcKtCbQ==",
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/helpers/-/helpers-7.23.9.tgz",
+			"integrity": "sha512-87ICKgU5t5SzOT7sBMfCOZQ2rHjRU+Pcb9BoILMYz600W6DkVRLFBPwQ18gwUVvggqXivaUakpnxWQGbpywbBQ==",
 			"requires": {
-				"@babel/template": "^7.22.15",
-				"@babel/traverse": "^7.23.7",
-				"@babel/types": "^7.23.6"
+				"@babel/template": "^7.23.9",
+				"@babel/traverse": "^7.23.9",
+				"@babel/types": "^7.23.9"
 			}
 		},
 		"@babel/highlight": {
@@ -10695,9 +10695,9 @@
 			}
 		},
 		"@babel/parser": {
-			"version": "7.23.6",
-			"resolved": "https://registry.npmjs.org/@babel/parser/-/parser-7.23.6.tgz",
-			"integrity": "sha512-Z2uID7YJ7oNvAI20O9X0bblw7Qqs8Q2hFy0R9tAfnfLkp5MW0UH9eUvnDSnFwKZ0AvgS1ucqR4KzvVHgnke1VQ=="
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/parser/-/parser-7.23.9.tgz",
+			"integrity": "sha512-9tcKgqKbs3xGJ+NtKF2ndOBBLVwPjl1SHxPQkd36r3Dlirw3xWUeGaTbqr7uGZcTaxkVNwc+03SVP7aCdWrTlA=="
 		},
 		"@babel/plugin-syntax-async-generators": {
 			"version": "7.8.4",
@@ -10812,19 +10812,19 @@
 			}
 		},
 		"@babel/template": {
-			"version": "7.22.15",
-			"resolved": "https://registry.npmjs.org/@babel/template/-/template-7.22.15.tgz",
-			"integrity": "sha512-QPErUVm4uyJa60rkI73qneDacvdvzxshT3kksGqlGWYdOTIUOwJ7RDUL8sGqslY1uXWSL6xMFKEXDS3ox2uF0w==",
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/template/-/template-7.23.9.tgz",
+			"integrity": "sha512-+xrD2BWLpvHKNmX2QbpdpsBaWnRxahMwJjO+KZk2JOElj5nSmKezyS1B4u+QbHMTX69t4ukm6hh9lsYQ7GHCKA==",
 			"requires": {
-				"@babel/code-frame": "^7.22.13",
-				"@babel/parser": "^7.22.15",
-				"@babel/types": "^7.22.15"
+				"@babel/code-frame": "^7.23.5",
+				"@babel/parser": "^7.23.9",
+				"@babel/types": "^7.23.9"
 			}
 		},
 		"@babel/traverse": {
-			"version": "7.23.7",
-			"resolved": "https://registry.npmjs.org/@babel/traverse/-/traverse-7.23.7.tgz",
-			"integrity": "sha512-tY3mM8rH9jM0YHFGyfC0/xf+SB5eKUu7HPj7/k3fpi9dAlsMc5YbQvDi0Sh2QTPXqMhyaAtzAr807TIyfQrmyg==",
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/traverse/-/traverse-7.23.9.tgz",
+			"integrity": "sha512-I/4UJ9vs90OkBtY6iiiTORVMyIhJ4kAVmsKo9KFc8UOxMeUfi2hvtIBsET5u9GizXE6/GFSuKCTNfgCswuEjRg==",
 			"requires": {
 				"@babel/code-frame": "^7.23.5",
 				"@babel/generator": "^7.23.6",
@@ -10832,8 +10832,8 @@
 				"@babel/helper-function-name": "^7.23.0",
 				"@babel/helper-hoist-variables": "^7.22.5",
 				"@babel/helper-split-export-declaration": "^7.22.6",
-				"@babel/parser": "^7.23.6",
-				"@babel/types": "^7.23.6",
+				"@babel/parser": "^7.23.9",
+				"@babel/types": "^7.23.9",
 				"debug": "^4.3.1",
 				"globals": "^11.1.0"
 			},
@@ -10846,9 +10846,9 @@
 			}
 		},
 		"@babel/types": {
-			"version": "7.23.6",
-			"resolved": "https://registry.npmjs.org/@babel/types/-/types-7.23.6.tgz",
-			"integrity": "sha512-+uarb83brBzPKN38NX1MkB6vb6+mwvR6amUulqAE7ccQw1pEl+bCia9TbdG1lsnFP7lZySvUn37CHyXQdfTwzg==",
+			"version": "7.23.9",
+			"resolved": "https://registry.npmjs.org/@babel/types/-/types-7.23.9.tgz",
+			"integrity": "sha512-dQjSq/7HaSjRM43FFGnv5keM2HsxpmyV1PfaSVm0nzzjwwTmjOe6J4bC8e3+pTEIgHaHj+1ZlLThRJ2auc/w1Q==",
 			"requires": {
 				"@babel/helper-string-parser": "^7.23.4",
 				"@babel/helper-validator-identifier": "^7.22.20",
@@ -11081,14 +11081,14 @@
 		"@jazzer.js/hooking": {
 			"version": "file:packages/hooking",
 			"requires": {
-				"@babel/core": "^7.23.7",
+				"@babel/core": "^7.23.9",
 				"@types/babel__core": "^7.20.5"
 			}
 		},
 		"@jazzer.js/instrumentor": {
 			"version": "file:packages/instrumentor",
 			"requires": {
-				"@babel/core": "^7.23.7",
+				"@babel/core": "^7.23.9",
 				"@babel/generator": "^7.23.5",
 				"@jazzer.js/fuzzer": "2.1.0",
 				"@jazzer.js/hooking": "2.1.0",
diff --git a/packages/hooking/package.json b/packages/hooking/package.json
index 3c2a8117..795a7557 100644
--- a/packages/hooking/package.json
+++ b/packages/hooking/package.json
@@ -16,7 +16,7 @@
 	"main": "dist/index.js",
 	"types": "dist/index.d.js",
 	"dependencies": {
-		"@babel/core": "^7.23.7"
+		"@babel/core": "^7.23.9"
 	},
 	"devDependencies": {
 		"@types/babel__core": "^7.20.5"
diff --git a/packages/instrumentor/package.json b/packages/instrumentor/package.json
index e66b54d2..7c8cb033 100644
--- a/packages/instrumentor/package.json
+++ b/packages/instrumentor/package.json
@@ -16,7 +16,7 @@
 	"main": "dist/instrument.js",
 	"types": "dist/instrument.d.js",
 	"dependencies": {
-		"@babel/core": "^7.23.7",
+		"@babel/core": "^7.23.9",
 		"@babel/generator": "^7.23.5",
 		"@jazzer.js/fuzzer": "2.1.0",
 		"@jazzer.js/hooking": "2.1.0",