diff --git a/package-lock.json b/package-lock.json
index eaa34731..eda5a2d8 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -1,12 +1,12 @@
 {
 	"name": "jazzer.js",
-	"version": "1.7.0",
+	"version": "2.0.0",
 	"lockfileVersion": 2,
 	"requires": true,
 	"packages": {
 		"": {
 			"name": "jazzer.js",
-			"version": "1.7.0",
+			"version": "2.0.0",
 			"license": "Apache-2.0",
 			"workspaces": [
 				"packages/*"
@@ -9110,11 +9110,11 @@
 		},
 		"packages/bug-detectors": {
 			"name": "@jazzer.js/bug-detectors",
-			"version": "1.7.0",
+			"version": "2.0.0",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@jazzer.js/core": "1.7.0",
-				"@jazzer.js/hooking": "1.7.0"
+				"@jazzer.js/core": "2.0.0",
+				"@jazzer.js/hooking": "2.0.0"
 			},
 			"devDependencies": {},
 			"engines": {
@@ -9124,13 +9124,13 @@
 		},
 		"packages/core": {
 			"name": "@jazzer.js/core",
-			"version": "1.7.0",
+			"version": "2.0.0",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@jazzer.js/bug-detectors": "1.7.0",
-				"@jazzer.js/fuzzer": "1.7.0",
-				"@jazzer.js/hooking": "1.7.0",
-				"@jazzer.js/instrumentor": "1.7.0",
+				"@jazzer.js/bug-detectors": "2.0.0",
+				"@jazzer.js/fuzzer": "2.0.0",
+				"@jazzer.js/hooking": "2.0.0",
+				"@jazzer.js/instrumentor": "2.0.0",
 				"istanbul-lib-coverage": "^3.2.0",
 				"istanbul-lib-report": "^3.0.1",
 				"istanbul-reports": "^3.1.6",
@@ -9150,7 +9150,7 @@
 		},
 		"packages/fuzzer": {
 			"name": "@jazzer.js/fuzzer",
-			"version": "1.7.0",
+			"version": "2.0.0",
 			"hasInstallScript": true,
 			"license": "Apache-2.0",
 			"dependencies": {
@@ -9172,7 +9172,7 @@
 		},
 		"packages/hooking": {
 			"name": "@jazzer.js/hooking",
-			"version": "1.7.0",
+			"version": "2.0.0",
 			"license": "Apache-2.0",
 			"dependencies": {
 				"@babel/core": "^7.22.20"
@@ -9187,13 +9187,13 @@
 		},
 		"packages/instrumentor": {
 			"name": "@jazzer.js/instrumentor",
-			"version": "1.7.0",
+			"version": "2.0.0",
 			"license": "Apache-2.0",
 			"dependencies": {
 				"@babel/core": "^7.22.20",
 				"@babel/generator": "^7.22.15",
-				"@jazzer.js/fuzzer": "1.7.0",
-				"@jazzer.js/hooking": "1.7.0",
+				"@jazzer.js/fuzzer": "2.0.0",
+				"@jazzer.js/hooking": "2.0.0",
 				"istanbul-lib-hook": "^3.0.0",
 				"istanbul-lib-instrument": "^6.0.0",
 				"proper-lockfile": "^4.1.2",
@@ -9236,10 +9236,10 @@
 		},
 		"packages/jest-runner": {
 			"name": "@jazzer.js/jest-runner",
-			"version": "1.7.0",
+			"version": "2.0.0",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@jazzer.js/core": "1.7.0",
+				"@jazzer.js/core": "2.0.0",
 				"cosmiconfig": "^8.3.6",
 				"istanbul-reports": "^3.1.6"
 			},
@@ -9943,17 +9943,17 @@
 		"@jazzer.js/bug-detectors": {
 			"version": "file:packages/bug-detectors",
 			"requires": {
-				"@jazzer.js/core": "1.7.0",
-				"@jazzer.js/hooking": "1.7.0"
+				"@jazzer.js/core": "2.0.0",
+				"@jazzer.js/hooking": "2.0.0"
 			}
 		},
 		"@jazzer.js/core": {
 			"version": "file:packages/core",
 			"requires": {
-				"@jazzer.js/bug-detectors": "1.7.0",
-				"@jazzer.js/fuzzer": "1.7.0",
-				"@jazzer.js/hooking": "1.7.0",
-				"@jazzer.js/instrumentor": "1.7.0",
+				"@jazzer.js/bug-detectors": "2.0.0",
+				"@jazzer.js/fuzzer": "2.0.0",
+				"@jazzer.js/hooking": "2.0.0",
+				"@jazzer.js/instrumentor": "2.0.0",
 				"@types/yargs": "^17.0.24",
 				"istanbul-lib-coverage": "^3.2.0",
 				"istanbul-lib-report": "^3.0.1",
@@ -9987,8 +9987,8 @@
 			"requires": {
 				"@babel/core": "^7.22.20",
 				"@babel/generator": "^7.22.15",
-				"@jazzer.js/fuzzer": "1.7.0",
-				"@jazzer.js/hooking": "1.7.0",
+				"@jazzer.js/fuzzer": "2.0.0",
+				"@jazzer.js/hooking": "2.0.0",
 				"@types/babel__core": "^7.20.2",
 				"@types/istanbul-lib-hook": "^2.0.1",
 				"@types/istanbul-lib-instrument": "^1.7.4",
@@ -10016,7 +10016,7 @@
 		"@jazzer.js/jest-runner": {
 			"version": "file:packages/jest-runner",
 			"requires": {
-				"@jazzer.js/core": "1.7.0",
+				"@jazzer.js/core": "2.0.0",
 				"@types/tmp": "^0.2.4",
 				"cosmiconfig": "^8.3.6",
 				"istanbul-reports": "^3.1.6",
diff --git a/package.json b/package.json
index 12d51905..ef8f1bd0 100644
--- a/package.json
+++ b/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "jazzer.js",
-	"version": "1.7.0",
+	"version": "2.0.0",
 	"description": "Coverage-guided, in-process fuzzing for Node.js",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"keywords": [
diff --git a/packages/bug-detectors/package.json b/packages/bug-detectors/package.json
index fbaa1f08..b3dd58bc 100644
--- a/packages/bug-detectors/package.json
+++ b/packages/bug-detectors/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/bug-detectors",
-	"version": "1.7.0",
+	"version": "2.0.0",
 	"description": "Jazzer.js bug detectors",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -16,8 +16,8 @@
 	"main": "dist/index.js",
 	"types": "dist/index.d.js",
 	"dependencies": {
-		"@jazzer.js/core": "1.7.0",
-		"@jazzer.js/hooking": "1.7.0"
+		"@jazzer.js/core": "2.0.0",
+		"@jazzer.js/hooking": "2.0.0"
 	},
 	"devDependencies": {},
 	"engines": {
diff --git a/packages/core/package.json b/packages/core/package.json
index dfd580f0..ac0db9ed 100644
--- a/packages/core/package.json
+++ b/packages/core/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/core",
-	"version": "1.7.0",
+	"version": "2.0.0",
 	"description": "Jazzer.js CLI",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -19,10 +19,10 @@
 		"jazzer": "dist/cli.js"
 	},
 	"dependencies": {
-		"@jazzer.js/bug-detectors": "1.7.0",
-		"@jazzer.js/fuzzer": "1.7.0",
-		"@jazzer.js/hooking": "1.7.0",
-		"@jazzer.js/instrumentor": "1.7.0",
+		"@jazzer.js/bug-detectors": "2.0.0",
+		"@jazzer.js/fuzzer": "2.0.0",
+		"@jazzer.js/hooking": "2.0.0",
+		"@jazzer.js/instrumentor": "2.0.0",
 		"tmp": "^0.2.1",
 		"istanbul-lib-coverage": "^3.2.0",
 		"istanbul-lib-report": "^3.0.1",
diff --git a/packages/fuzzer/package.json b/packages/fuzzer/package.json
index 32cb22ac..c6ac48b5 100644
--- a/packages/fuzzer/package.json
+++ b/packages/fuzzer/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/fuzzer",
-	"version": "1.7.0",
+	"version": "2.0.0",
 	"description": "Jazzer.js libfuzzer-based fuzzer for Node.js",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/hooking/package.json b/packages/hooking/package.json
index e28d4d04..0bc2571e 100644
--- a/packages/hooking/package.json
+++ b/packages/hooking/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/hooking",
-	"version": "1.7.0",
+	"version": "2.0.0",
 	"description": "Jazzer.js hooking framework",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
diff --git a/packages/instrumentor/package.json b/packages/instrumentor/package.json
index 00fc08d3..43c159c8 100644
--- a/packages/instrumentor/package.json
+++ b/packages/instrumentor/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/instrumentor",
-	"version": "1.7.0",
+	"version": "2.0.0",
 	"description": "Jazzer.js source code instrumentor",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -18,8 +18,8 @@
 	"dependencies": {
 		"@babel/core": "^7.22.20",
 		"@babel/generator": "^7.22.15",
-		"@jazzer.js/fuzzer": "1.7.0",
-		"@jazzer.js/hooking": "1.7.0",
+		"@jazzer.js/fuzzer": "2.0.0",
+		"@jazzer.js/hooking": "2.0.0",
 		"istanbul-lib-hook": "^3.0.0",
 		"proper-lockfile": "^4.1.2",
 		"istanbul-lib-instrument": "^6.0.0",
diff --git a/packages/jest-runner/package.json b/packages/jest-runner/package.json
index 5145641d..34acb565 100644
--- a/packages/jest-runner/package.json
+++ b/packages/jest-runner/package.json
@@ -1,6 +1,6 @@
 {
 	"name": "@jazzer.js/jest-runner",
-	"version": "1.7.0",
+	"version": "2.0.0",
 	"description": "",
 	"homepage": "https://github.com/CodeIntelligenceTesting/jazzer.js#readme",
 	"author": "Code Intelligence",
@@ -16,7 +16,7 @@
 	"main": "dist/index.js",
 	"types": "dist/index.d.ts",
 	"dependencies": {
-		"@jazzer.js/core": "1.7.0",
+		"@jazzer.js/core": "2.0.0",
 		"cosmiconfig": "^8.3.6",
 		"istanbul-reports": "^3.1.6"
 	},