diff --git a/package-lock.json b/package-lock.json
index 78455fb6..57d99a8a 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -144,19 +144,19 @@
 			}
 		},
 		"node_modules/@babel/core": {
-			"version": "7.23.6",
-			"resolved": "https://registry.npmjs.org/@babel/core/-/core-7.23.6.tgz",
-			"integrity": "sha512-FxpRyGjrMJXh7X3wGLGhNDCRiwpWEF74sKjTLDJSG5Kyvow3QZaG0Adbqzi9ZrVjTWpsX+2cxWXD71NMg93kdw==",
+			"version": "7.23.7",
+			"resolved": "https://registry.npmjs.org/@babel/core/-/core-7.23.7.tgz",
+			"integrity": "sha512-+UpDgowcmqe36d4NwqvKsyPMlOLNGMsfMmQ5WGCu+siCe3t3dfe9njrzGfdN4qq+bcNUt0+Vw6haRxBOycs4dw==",
 			"dependencies": {
 				"@ampproject/remapping": "^2.2.0",
 				"@babel/code-frame": "^7.23.5",
 				"@babel/generator": "^7.23.6",
 				"@babel/helper-compilation-targets": "^7.23.6",
 				"@babel/helper-module-transforms": "^7.23.3",
-				"@babel/helpers": "^7.23.6",
+				"@babel/helpers": "^7.23.7",
 				"@babel/parser": "^7.23.6",
 				"@babel/template": "^7.22.15",
-				"@babel/traverse": "^7.23.6",
+				"@babel/traverse": "^7.23.7",
 				"@babel/types": "^7.23.6",
 				"convert-source-map": "^2.0.0",
 				"debug": "^4.1.0",
@@ -363,12 +363,12 @@
 			}
 		},
 		"node_modules/@babel/helpers": {
-			"version": "7.23.6",
-			"resolved": "https://registry.npmjs.org/@babel/helpers/-/helpers-7.23.6.tgz",
-			"integrity": "sha512-wCfsbN4nBidDRhpDhvcKlzHWCTlgJYUUdSJfzXb2NuBssDSIjc3xcb+znA7l+zYsFljAcGM0aFkN40cR3lXiGA==",
+			"version": "7.23.7",
+			"resolved": "https://registry.npmjs.org/@babel/helpers/-/helpers-7.23.7.tgz",
+			"integrity": "sha512-6AMnjCoC8wjqBzDHkuqpa7jAKwvMo4dC+lr/TFBz+ucfulO1XMpDnwWPGBNwClOKZ8h6xn5N81W/R5OrcKtCbQ==",
 			"dependencies": {
 				"@babel/template": "^7.22.15",
-				"@babel/traverse": "^7.23.6",
+				"@babel/traverse": "^7.23.7",
 				"@babel/types": "^7.23.6"
 			},
 			"engines": {
@@ -640,9 +640,9 @@
 			}
 		},
 		"node_modules/@babel/traverse": {
-			"version": "7.23.6",
-			"resolved": "https://registry.npmjs.org/@babel/traverse/-/traverse-7.23.6.tgz",
-			"integrity": "sha512-czastdK1e8YByZqezMPFiZ8ahwVMh/ESl9vPgvgdB9AmFMGP5jfpFax74AQgl5zj4XHzqeYAg2l8PuUeRS1MgQ==",
+			"version": "7.23.7",
+			"resolved": "https://registry.npmjs.org/@babel/traverse/-/traverse-7.23.7.tgz",
+			"integrity": "sha512-tY3mM8rH9jM0YHFGyfC0/xf+SB5eKUu7HPj7/k3fpi9dAlsMc5YbQvDi0Sh2QTPXqMhyaAtzAr807TIyfQrmyg==",
 			"dependencies": {
 				"@babel/code-frame": "^7.23.5",
 				"@babel/generator": "^7.23.6",
@@ -10282,7 +10282,7 @@
 			"version": "2.1.0",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@babel/core": "^7.23.6"
+				"@babel/core": "^7.23.7"
 			},
 			"devDependencies": {
 				"@types/babel__core": "^7.20.5"
@@ -10297,7 +10297,7 @@
 			"version": "2.1.0",
 			"license": "Apache-2.0",
 			"dependencies": {
-				"@babel/core": "^7.23.6",
+				"@babel/core": "^7.23.7",
 				"@babel/generator": "^7.23.5",
 				"@jazzer.js/fuzzer": "2.1.0",
 				"@jazzer.js/hooking": "2.1.0",
@@ -10446,19 +10446,19 @@
 			"integrity": "sha512-uU27kfDRlhfKl+w1U6vp16IuvSLtjAxdArVXPa9BvLkrr7CYIsxH5adpHObeAGY/41+syctUWOZ140a2Rvkgjw=="
 		},
 		"@babel/core": {
-			"version": "7.23.6",
-			"resolved": "https://registry.npmjs.org/@babel/core/-/core-7.23.6.tgz",
-			"integrity": "sha512-FxpRyGjrMJXh7X3wGLGhNDCRiwpWEF74sKjTLDJSG5Kyvow3QZaG0Adbqzi9ZrVjTWpsX+2cxWXD71NMg93kdw==",
+			"version": "7.23.7",
+			"resolved": "https://registry.npmjs.org/@babel/core/-/core-7.23.7.tgz",
+			"integrity": "sha512-+UpDgowcmqe36d4NwqvKsyPMlOLNGMsfMmQ5WGCu+siCe3t3dfe9njrzGfdN4qq+bcNUt0+Vw6haRxBOycs4dw==",
 			"requires": {
 				"@ampproject/remapping": "^2.2.0",
 				"@babel/code-frame": "^7.23.5",
 				"@babel/generator": "^7.23.6",
 				"@babel/helper-compilation-targets": "^7.23.6",
 				"@babel/helper-module-transforms": "^7.23.3",
-				"@babel/helpers": "^7.23.6",
+				"@babel/helpers": "^7.23.7",
 				"@babel/parser": "^7.23.6",
 				"@babel/template": "^7.22.15",
-				"@babel/traverse": "^7.23.6",
+				"@babel/traverse": "^7.23.7",
 				"@babel/types": "^7.23.6",
 				"convert-source-map": "^2.0.0",
 				"debug": "^4.1.0",
@@ -10613,12 +10613,12 @@
 			"integrity": "sha512-85ttAOMLsr53VgXkTbkx8oA6YTfT4q7/HzXSLEYmjcSTJPMPQtvq1BD79Byep5xMUYbGRzEpDsjUf3dyp54IKw=="
 		},
 		"@babel/helpers": {
-			"version": "7.23.6",
-			"resolved": "https://registry.npmjs.org/@babel/helpers/-/helpers-7.23.6.tgz",
-			"integrity": "sha512-wCfsbN4nBidDRhpDhvcKlzHWCTlgJYUUdSJfzXb2NuBssDSIjc3xcb+znA7l+zYsFljAcGM0aFkN40cR3lXiGA==",
+			"version": "7.23.7",
+			"resolved": "https://registry.npmjs.org/@babel/helpers/-/helpers-7.23.7.tgz",
+			"integrity": "sha512-6AMnjCoC8wjqBzDHkuqpa7jAKwvMo4dC+lr/TFBz+ucfulO1XMpDnwWPGBNwClOKZ8h6xn5N81W/R5OrcKtCbQ==",
 			"requires": {
 				"@babel/template": "^7.22.15",
-				"@babel/traverse": "^7.23.6",
+				"@babel/traverse": "^7.23.7",
 				"@babel/types": "^7.23.6"
 			}
 		},
@@ -10811,9 +10811,9 @@
 			}
 		},
 		"@babel/traverse": {
-			"version": "7.23.6",
-			"resolved": "https://registry.npmjs.org/@babel/traverse/-/traverse-7.23.6.tgz",
-			"integrity": "sha512-czastdK1e8YByZqezMPFiZ8ahwVMh/ESl9vPgvgdB9AmFMGP5jfpFax74AQgl5zj4XHzqeYAg2l8PuUeRS1MgQ==",
+			"version": "7.23.7",
+			"resolved": "https://registry.npmjs.org/@babel/traverse/-/traverse-7.23.7.tgz",
+			"integrity": "sha512-tY3mM8rH9jM0YHFGyfC0/xf+SB5eKUu7HPj7/k3fpi9dAlsMc5YbQvDi0Sh2QTPXqMhyaAtzAr807TIyfQrmyg==",
 			"requires": {
 				"@babel/code-frame": "^7.23.5",
 				"@babel/generator": "^7.23.6",
@@ -11070,14 +11070,14 @@
 		"@jazzer.js/hooking": {
 			"version": "file:packages/hooking",
 			"requires": {
-				"@babel/core": "^7.23.6",
+				"@babel/core": "^7.23.7",
 				"@types/babel__core": "^7.20.5"
 			}
 		},
 		"@jazzer.js/instrumentor": {
 			"version": "file:packages/instrumentor",
 			"requires": {
-				"@babel/core": "^7.23.6",
+				"@babel/core": "^7.23.7",
 				"@babel/generator": "^7.23.5",
 				"@jazzer.js/fuzzer": "2.1.0",
 				"@jazzer.js/hooking": "2.1.0",
diff --git a/packages/hooking/package.json b/packages/hooking/package.json
index 898b9244..3c2a8117 100644
--- a/packages/hooking/package.json
+++ b/packages/hooking/package.json
@@ -16,7 +16,7 @@
 	"main": "dist/index.js",
 	"types": "dist/index.d.js",
 	"dependencies": {
-		"@babel/core": "^7.23.6"
+		"@babel/core": "^7.23.7"
 	},
 	"devDependencies": {
 		"@types/babel__core": "^7.20.5"
diff --git a/packages/instrumentor/package.json b/packages/instrumentor/package.json
index bb466811..b82048a8 100644
--- a/packages/instrumentor/package.json
+++ b/packages/instrumentor/package.json
@@ -16,7 +16,7 @@
 	"main": "dist/instrument.js",
 	"types": "dist/instrument.d.js",
 	"dependencies": {
-		"@babel/core": "^7.23.6",
+		"@babel/core": "^7.23.7",
 		"@babel/generator": "^7.23.5",
 		"@jazzer.js/fuzzer": "2.1.0",
 		"@jazzer.js/hooking": "2.1.0",