diff --git a/package-lock.json b/package-lock.json
index e2628ca1..6db7a21a 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -16,7 +16,7 @@
 				"@types/jest": "^29.5.11",
 				"@types/node": "^20.11.3",
 				"@types/yargs": "^17.0.32",
-				"@typescript-eslint/eslint-plugin": "^6.18.1",
+				"@typescript-eslint/eslint-plugin": "^6.19.0",
 				"eslint": "^8.56.0",
 				"eslint-config-prettier": "^9.1.0",
 				"eslint-plugin-header": "^3.1.1",
@@ -1550,16 +1550,16 @@
 			"integrity": "sha512-iO9ZQHkZxHn4mSakYV0vFHAVDyEOIJQrV2uZ06HxEPcx+mt8swXoZHIbaaJ2crJYFfErySgktuTZ3BeLz+XmFA=="
 		},
 		"node_modules/@typescript-eslint/eslint-plugin": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/eslint-plugin/-/eslint-plugin-6.18.1.tgz",
-			"integrity": "sha512-nISDRYnnIpk7VCFrGcu1rnZfM1Dh9LRHnfgdkjcbi/l7g16VYRri3TjXi9Ir4lOZSw5N/gnV/3H7jIPQ8Q4daA==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/eslint-plugin/-/eslint-plugin-6.19.0.tgz",
+			"integrity": "sha512-DUCUkQNklCQYnrBSSikjVChdc84/vMPDQSgJTHBZ64G9bA9w0Crc0rd2diujKbTdp6w2J47qkeHQLoi0rpLCdg==",
 			"dev": true,
 			"dependencies": {
 				"@eslint-community/regexpp": "^4.5.1",
-				"@typescript-eslint/scope-manager": "6.18.1",
-				"@typescript-eslint/type-utils": "6.18.1",
-				"@typescript-eslint/utils": "6.18.1",
-				"@typescript-eslint/visitor-keys": "6.18.1",
+				"@typescript-eslint/scope-manager": "6.19.0",
+				"@typescript-eslint/type-utils": "6.19.0",
+				"@typescript-eslint/utils": "6.19.0",
+				"@typescript-eslint/visitor-keys": "6.19.0",
 				"debug": "^4.3.4",
 				"graphemer": "^1.4.0",
 				"ignore": "^5.2.4",
@@ -1585,13 +1585,13 @@
 			}
 		},
 		"node_modules/@typescript-eslint/eslint-plugin/node_modules/@typescript-eslint/scope-manager": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.18.1.tgz",
-			"integrity": "sha512-BgdBwXPFmZzaZUuw6wKiHKIovms97a7eTImjkXCZE04TGHysG+0hDQPmygyvgtkoB/aOQwSM/nWv3LzrOIQOBw==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.19.0.tgz",
+			"integrity": "sha512-dO1XMhV2ehBI6QN8Ufi7I10wmUovmLU0Oru3n5LVlM2JuzB4M+dVphCPLkVpKvGij2j/pHBWuJ9piuXx+BhzxQ==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.18.1",
-				"@typescript-eslint/visitor-keys": "6.18.1"
+				"@typescript-eslint/types": "6.19.0",
+				"@typescript-eslint/visitor-keys": "6.19.0"
 			},
 			"engines": {
 				"node": "^16.0.0 || >=18.0.0"
@@ -1602,9 +1602,9 @@
 			}
 		},
 		"node_modules/@typescript-eslint/eslint-plugin/node_modules/@typescript-eslint/types": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.18.1.tgz",
-			"integrity": "sha512-4TuMAe+tc5oA7wwfqMtB0Y5OrREPF1GeJBAjqwgZh1lEMH5PJQgWgHGfYufVB51LtjD+peZylmeyxUXPfENLCw==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.19.0.tgz",
+			"integrity": "sha512-lFviGV/vYhOy3m8BJ/nAKoAyNhInTdXpftonhWle66XHAtT1ouBlkjL496b5H5hb8dWXHwtypTqgtb/DEa+j5A==",
 			"dev": true,
 			"engines": {
 				"node": "^16.0.0 || >=18.0.0"
@@ -1615,13 +1615,13 @@
 			}
 		},
 		"node_modules/@typescript-eslint/eslint-plugin/node_modules/@typescript-eslint/typescript-estree": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.18.1.tgz",
-			"integrity": "sha512-fv9B94UAhywPRhUeeV/v+3SBDvcPiLxRZJw/xZeeGgRLQZ6rLMG+8krrJUyIf6s1ecWTzlsbp0rlw7n9sjufHA==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.19.0.tgz",
+			"integrity": "sha512-o/zefXIbbLBZ8YJ51NlkSAt2BamrK6XOmuxSR3hynMIzzyMY33KuJ9vuMdFSXW+H0tVvdF9qBPTHA91HDb4BIQ==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.18.1",
-				"@typescript-eslint/visitor-keys": "6.18.1",
+				"@typescript-eslint/types": "6.19.0",
+				"@typescript-eslint/visitor-keys": "6.19.0",
 				"debug": "^4.3.4",
 				"globby": "^11.1.0",
 				"is-glob": "^4.0.3",
@@ -1643,17 +1643,17 @@
 			}
 		},
 		"node_modules/@typescript-eslint/eslint-plugin/node_modules/@typescript-eslint/utils": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.18.1.tgz",
-			"integrity": "sha512-zZmTuVZvD1wpoceHvoQpOiewmWu3uP9FuTWo8vqpy2ffsmfCE8mklRPi+vmnIYAIk9t/4kOThri2QCDgor+OpQ==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.19.0.tgz",
+			"integrity": "sha512-QR41YXySiuN++/dC9UArYOg4X86OAYP83OWTewpVx5ct1IZhjjgTLocj7QNxGhWoTqknsgpl7L+hGygCO+sdYw==",
 			"dev": true,
 			"dependencies": {
 				"@eslint-community/eslint-utils": "^4.4.0",
 				"@types/json-schema": "^7.0.12",
 				"@types/semver": "^7.5.0",
-				"@typescript-eslint/scope-manager": "6.18.1",
-				"@typescript-eslint/types": "6.18.1",
-				"@typescript-eslint/typescript-estree": "6.18.1",
+				"@typescript-eslint/scope-manager": "6.19.0",
+				"@typescript-eslint/types": "6.19.0",
+				"@typescript-eslint/typescript-estree": "6.19.0",
 				"semver": "^7.5.4"
 			},
 			"engines": {
@@ -1668,12 +1668,12 @@
 			}
 		},
 		"node_modules/@typescript-eslint/eslint-plugin/node_modules/@typescript-eslint/visitor-keys": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.18.1.tgz",
-			"integrity": "sha512-/kvt0C5lRqGoCfsbmm7/CwMqoSkY3zzHLIjdhHZQW3VFrnz7ATecOHR7nb7V+xn4286MBxfnQfQhAmCI0u+bJA==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.19.0.tgz",
+			"integrity": "sha512-hZaUCORLgubBvtGpp1JEFEazcuEdfxta9j4iUwdSAr7mEsYYAp3EAUyCZk3VEEqGj6W+AV4uWyrDGtrlawAsgQ==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.18.1",
+				"@typescript-eslint/types": "6.19.0",
 				"eslint-visitor-keys": "^3.4.1"
 			},
 			"engines": {
@@ -1833,13 +1833,13 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/type-utils/-/type-utils-6.18.1.tgz",
-			"integrity": "sha512-wyOSKhuzHeU/5pcRDP2G2Ndci+4g653V43gXTpt4nbyoIOAASkGDA9JIAgbQCdCkcr1MvpSYWzxTz0olCn8+/Q==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/type-utils/-/type-utils-6.19.0.tgz",
+			"integrity": "sha512-mcvS6WSWbjiSxKCwBcXtOM5pRkPQ6kcDds/juxcy/727IQr3xMEcwr/YLHW2A2+Fp5ql6khjbKBzOyjuPqGi/w==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/typescript-estree": "6.18.1",
-				"@typescript-eslint/utils": "6.18.1",
+				"@typescript-eslint/typescript-estree": "6.19.0",
+				"@typescript-eslint/utils": "6.19.0",
 				"debug": "^4.3.4",
 				"ts-api-utils": "^1.0.1"
 			},
@@ -1860,13 +1860,13 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils/node_modules/@typescript-eslint/scope-manager": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.18.1.tgz",
-			"integrity": "sha512-BgdBwXPFmZzaZUuw6wKiHKIovms97a7eTImjkXCZE04TGHysG+0hDQPmygyvgtkoB/aOQwSM/nWv3LzrOIQOBw==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.19.0.tgz",
+			"integrity": "sha512-dO1XMhV2ehBI6QN8Ufi7I10wmUovmLU0Oru3n5LVlM2JuzB4M+dVphCPLkVpKvGij2j/pHBWuJ9piuXx+BhzxQ==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.18.1",
-				"@typescript-eslint/visitor-keys": "6.18.1"
+				"@typescript-eslint/types": "6.19.0",
+				"@typescript-eslint/visitor-keys": "6.19.0"
 			},
 			"engines": {
 				"node": "^16.0.0 || >=18.0.0"
@@ -1877,9 +1877,9 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils/node_modules/@typescript-eslint/types": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.18.1.tgz",
-			"integrity": "sha512-4TuMAe+tc5oA7wwfqMtB0Y5OrREPF1GeJBAjqwgZh1lEMH5PJQgWgHGfYufVB51LtjD+peZylmeyxUXPfENLCw==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.19.0.tgz",
+			"integrity": "sha512-lFviGV/vYhOy3m8BJ/nAKoAyNhInTdXpftonhWle66XHAtT1ouBlkjL496b5H5hb8dWXHwtypTqgtb/DEa+j5A==",
 			"dev": true,
 			"engines": {
 				"node": "^16.0.0 || >=18.0.0"
@@ -1890,13 +1890,13 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils/node_modules/@typescript-eslint/typescript-estree": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.18.1.tgz",
-			"integrity": "sha512-fv9B94UAhywPRhUeeV/v+3SBDvcPiLxRZJw/xZeeGgRLQZ6rLMG+8krrJUyIf6s1ecWTzlsbp0rlw7n9sjufHA==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.19.0.tgz",
+			"integrity": "sha512-o/zefXIbbLBZ8YJ51NlkSAt2BamrK6XOmuxSR3hynMIzzyMY33KuJ9vuMdFSXW+H0tVvdF9qBPTHA91HDb4BIQ==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.18.1",
-				"@typescript-eslint/visitor-keys": "6.18.1",
+				"@typescript-eslint/types": "6.19.0",
+				"@typescript-eslint/visitor-keys": "6.19.0",
 				"debug": "^4.3.4",
 				"globby": "^11.1.0",
 				"is-glob": "^4.0.3",
@@ -1918,17 +1918,17 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils/node_modules/@typescript-eslint/utils": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.18.1.tgz",
-			"integrity": "sha512-zZmTuVZvD1wpoceHvoQpOiewmWu3uP9FuTWo8vqpy2ffsmfCE8mklRPi+vmnIYAIk9t/4kOThri2QCDgor+OpQ==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.19.0.tgz",
+			"integrity": "sha512-QR41YXySiuN++/dC9UArYOg4X86OAYP83OWTewpVx5ct1IZhjjgTLocj7QNxGhWoTqknsgpl7L+hGygCO+sdYw==",
 			"dev": true,
 			"dependencies": {
 				"@eslint-community/eslint-utils": "^4.4.0",
 				"@types/json-schema": "^7.0.12",
 				"@types/semver": "^7.5.0",
-				"@typescript-eslint/scope-manager": "6.18.1",
-				"@typescript-eslint/types": "6.18.1",
-				"@typescript-eslint/typescript-estree": "6.18.1",
+				"@typescript-eslint/scope-manager": "6.19.0",
+				"@typescript-eslint/types": "6.19.0",
+				"@typescript-eslint/typescript-estree": "6.19.0",
 				"semver": "^7.5.4"
 			},
 			"engines": {
@@ -1943,12 +1943,12 @@
 			}
 		},
 		"node_modules/@typescript-eslint/type-utils/node_modules/@typescript-eslint/visitor-keys": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.18.1.tgz",
-			"integrity": "sha512-/kvt0C5lRqGoCfsbmm7/CwMqoSkY3zzHLIjdhHZQW3VFrnz7ATecOHR7nb7V+xn4286MBxfnQfQhAmCI0u+bJA==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.19.0.tgz",
+			"integrity": "sha512-hZaUCORLgubBvtGpp1JEFEazcuEdfxta9j4iUwdSAr7mEsYYAp3EAUyCZk3VEEqGj6W+AV4uWyrDGtrlawAsgQ==",
 			"dev": true,
 			"dependencies": {
-				"@typescript-eslint/types": "6.18.1",
+				"@typescript-eslint/types": "6.19.0",
 				"eslint-visitor-keys": "^3.4.1"
 			},
 			"engines": {
@@ -11620,16 +11620,16 @@
 			"integrity": "sha512-iO9ZQHkZxHn4mSakYV0vFHAVDyEOIJQrV2uZ06HxEPcx+mt8swXoZHIbaaJ2crJYFfErySgktuTZ3BeLz+XmFA=="
 		},
 		"@typescript-eslint/eslint-plugin": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/eslint-plugin/-/eslint-plugin-6.18.1.tgz",
-			"integrity": "sha512-nISDRYnnIpk7VCFrGcu1rnZfM1Dh9LRHnfgdkjcbi/l7g16VYRri3TjXi9Ir4lOZSw5N/gnV/3H7jIPQ8Q4daA==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/eslint-plugin/-/eslint-plugin-6.19.0.tgz",
+			"integrity": "sha512-DUCUkQNklCQYnrBSSikjVChdc84/vMPDQSgJTHBZ64G9bA9w0Crc0rd2diujKbTdp6w2J47qkeHQLoi0rpLCdg==",
 			"dev": true,
 			"requires": {
 				"@eslint-community/regexpp": "^4.5.1",
-				"@typescript-eslint/scope-manager": "6.18.1",
-				"@typescript-eslint/type-utils": "6.18.1",
-				"@typescript-eslint/utils": "6.18.1",
-				"@typescript-eslint/visitor-keys": "6.18.1",
+				"@typescript-eslint/scope-manager": "6.19.0",
+				"@typescript-eslint/type-utils": "6.19.0",
+				"@typescript-eslint/utils": "6.19.0",
+				"@typescript-eslint/visitor-keys": "6.19.0",
 				"debug": "^4.3.4",
 				"graphemer": "^1.4.0",
 				"ignore": "^5.2.4",
@@ -11639,29 +11639,29 @@
 			},
 			"dependencies": {
 				"@typescript-eslint/scope-manager": {
-					"version": "6.18.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.18.1.tgz",
-					"integrity": "sha512-BgdBwXPFmZzaZUuw6wKiHKIovms97a7eTImjkXCZE04TGHysG+0hDQPmygyvgtkoB/aOQwSM/nWv3LzrOIQOBw==",
+					"version": "6.19.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.19.0.tgz",
+					"integrity": "sha512-dO1XMhV2ehBI6QN8Ufi7I10wmUovmLU0Oru3n5LVlM2JuzB4M+dVphCPLkVpKvGij2j/pHBWuJ9piuXx+BhzxQ==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.18.1",
-						"@typescript-eslint/visitor-keys": "6.18.1"
+						"@typescript-eslint/types": "6.19.0",
+						"@typescript-eslint/visitor-keys": "6.19.0"
 					}
 				},
 				"@typescript-eslint/types": {
-					"version": "6.18.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.18.1.tgz",
-					"integrity": "sha512-4TuMAe+tc5oA7wwfqMtB0Y5OrREPF1GeJBAjqwgZh1lEMH5PJQgWgHGfYufVB51LtjD+peZylmeyxUXPfENLCw==",
+					"version": "6.19.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.19.0.tgz",
+					"integrity": "sha512-lFviGV/vYhOy3m8BJ/nAKoAyNhInTdXpftonhWle66XHAtT1ouBlkjL496b5H5hb8dWXHwtypTqgtb/DEa+j5A==",
 					"dev": true
 				},
 				"@typescript-eslint/typescript-estree": {
-					"version": "6.18.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.18.1.tgz",
-					"integrity": "sha512-fv9B94UAhywPRhUeeV/v+3SBDvcPiLxRZJw/xZeeGgRLQZ6rLMG+8krrJUyIf6s1ecWTzlsbp0rlw7n9sjufHA==",
+					"version": "6.19.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.19.0.tgz",
+					"integrity": "sha512-o/zefXIbbLBZ8YJ51NlkSAt2BamrK6XOmuxSR3hynMIzzyMY33KuJ9vuMdFSXW+H0tVvdF9qBPTHA91HDb4BIQ==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.18.1",
-						"@typescript-eslint/visitor-keys": "6.18.1",
+						"@typescript-eslint/types": "6.19.0",
+						"@typescript-eslint/visitor-keys": "6.19.0",
 						"debug": "^4.3.4",
 						"globby": "^11.1.0",
 						"is-glob": "^4.0.3",
@@ -11671,27 +11671,27 @@
 					}
 				},
 				"@typescript-eslint/utils": {
-					"version": "6.18.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.18.1.tgz",
-					"integrity": "sha512-zZmTuVZvD1wpoceHvoQpOiewmWu3uP9FuTWo8vqpy2ffsmfCE8mklRPi+vmnIYAIk9t/4kOThri2QCDgor+OpQ==",
+					"version": "6.19.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.19.0.tgz",
+					"integrity": "sha512-QR41YXySiuN++/dC9UArYOg4X86OAYP83OWTewpVx5ct1IZhjjgTLocj7QNxGhWoTqknsgpl7L+hGygCO+sdYw==",
 					"dev": true,
 					"requires": {
 						"@eslint-community/eslint-utils": "^4.4.0",
 						"@types/json-schema": "^7.0.12",
 						"@types/semver": "^7.5.0",
-						"@typescript-eslint/scope-manager": "6.18.1",
-						"@typescript-eslint/types": "6.18.1",
-						"@typescript-eslint/typescript-estree": "6.18.1",
+						"@typescript-eslint/scope-manager": "6.19.0",
+						"@typescript-eslint/types": "6.19.0",
+						"@typescript-eslint/typescript-estree": "6.19.0",
 						"semver": "^7.5.4"
 					}
 				},
 				"@typescript-eslint/visitor-keys": {
-					"version": "6.18.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.18.1.tgz",
-					"integrity": "sha512-/kvt0C5lRqGoCfsbmm7/CwMqoSkY3zzHLIjdhHZQW3VFrnz7ATecOHR7nb7V+xn4286MBxfnQfQhAmCI0u+bJA==",
+					"version": "6.19.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.19.0.tgz",
+					"integrity": "sha512-hZaUCORLgubBvtGpp1JEFEazcuEdfxta9j4iUwdSAr7mEsYYAp3EAUyCZk3VEEqGj6W+AV4uWyrDGtrlawAsgQ==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.18.1",
+						"@typescript-eslint/types": "6.19.0",
 						"eslint-visitor-keys": "^3.4.1"
 					}
 				},
@@ -11787,41 +11787,41 @@
 			}
 		},
 		"@typescript-eslint/type-utils": {
-			"version": "6.18.1",
-			"resolved": "https://registry.npmjs.org/@typescript-eslint/type-utils/-/type-utils-6.18.1.tgz",
-			"integrity": "sha512-wyOSKhuzHeU/5pcRDP2G2Ndci+4g653V43gXTpt4nbyoIOAASkGDA9JIAgbQCdCkcr1MvpSYWzxTz0olCn8+/Q==",
+			"version": "6.19.0",
+			"resolved": "https://registry.npmjs.org/@typescript-eslint/type-utils/-/type-utils-6.19.0.tgz",
+			"integrity": "sha512-mcvS6WSWbjiSxKCwBcXtOM5pRkPQ6kcDds/juxcy/727IQr3xMEcwr/YLHW2A2+Fp5ql6khjbKBzOyjuPqGi/w==",
 			"dev": true,
 			"requires": {
-				"@typescript-eslint/typescript-estree": "6.18.1",
-				"@typescript-eslint/utils": "6.18.1",
+				"@typescript-eslint/typescript-estree": "6.19.0",
+				"@typescript-eslint/utils": "6.19.0",
 				"debug": "^4.3.4",
 				"ts-api-utils": "^1.0.1"
 			},
 			"dependencies": {
 				"@typescript-eslint/scope-manager": {
-					"version": "6.18.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.18.1.tgz",
-					"integrity": "sha512-BgdBwXPFmZzaZUuw6wKiHKIovms97a7eTImjkXCZE04TGHysG+0hDQPmygyvgtkoB/aOQwSM/nWv3LzrOIQOBw==",
+					"version": "6.19.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/scope-manager/-/scope-manager-6.19.0.tgz",
+					"integrity": "sha512-dO1XMhV2ehBI6QN8Ufi7I10wmUovmLU0Oru3n5LVlM2JuzB4M+dVphCPLkVpKvGij2j/pHBWuJ9piuXx+BhzxQ==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.18.1",
-						"@typescript-eslint/visitor-keys": "6.18.1"
+						"@typescript-eslint/types": "6.19.0",
+						"@typescript-eslint/visitor-keys": "6.19.0"
 					}
 				},
 				"@typescript-eslint/types": {
-					"version": "6.18.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.18.1.tgz",
-					"integrity": "sha512-4TuMAe+tc5oA7wwfqMtB0Y5OrREPF1GeJBAjqwgZh1lEMH5PJQgWgHGfYufVB51LtjD+peZylmeyxUXPfENLCw==",
+					"version": "6.19.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/types/-/types-6.19.0.tgz",
+					"integrity": "sha512-lFviGV/vYhOy3m8BJ/nAKoAyNhInTdXpftonhWle66XHAtT1ouBlkjL496b5H5hb8dWXHwtypTqgtb/DEa+j5A==",
 					"dev": true
 				},
 				"@typescript-eslint/typescript-estree": {
-					"version": "6.18.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.18.1.tgz",
-					"integrity": "sha512-fv9B94UAhywPRhUeeV/v+3SBDvcPiLxRZJw/xZeeGgRLQZ6rLMG+8krrJUyIf6s1ecWTzlsbp0rlw7n9sjufHA==",
+					"version": "6.19.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/typescript-estree/-/typescript-estree-6.19.0.tgz",
+					"integrity": "sha512-o/zefXIbbLBZ8YJ51NlkSAt2BamrK6XOmuxSR3hynMIzzyMY33KuJ9vuMdFSXW+H0tVvdF9qBPTHA91HDb4BIQ==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.18.1",
-						"@typescript-eslint/visitor-keys": "6.18.1",
+						"@typescript-eslint/types": "6.19.0",
+						"@typescript-eslint/visitor-keys": "6.19.0",
 						"debug": "^4.3.4",
 						"globby": "^11.1.0",
 						"is-glob": "^4.0.3",
@@ -11831,27 +11831,27 @@
 					}
 				},
 				"@typescript-eslint/utils": {
-					"version": "6.18.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.18.1.tgz",
-					"integrity": "sha512-zZmTuVZvD1wpoceHvoQpOiewmWu3uP9FuTWo8vqpy2ffsmfCE8mklRPi+vmnIYAIk9t/4kOThri2QCDgor+OpQ==",
+					"version": "6.19.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/utils/-/utils-6.19.0.tgz",
+					"integrity": "sha512-QR41YXySiuN++/dC9UArYOg4X86OAYP83OWTewpVx5ct1IZhjjgTLocj7QNxGhWoTqknsgpl7L+hGygCO+sdYw==",
 					"dev": true,
 					"requires": {
 						"@eslint-community/eslint-utils": "^4.4.0",
 						"@types/json-schema": "^7.0.12",
 						"@types/semver": "^7.5.0",
-						"@typescript-eslint/scope-manager": "6.18.1",
-						"@typescript-eslint/types": "6.18.1",
-						"@typescript-eslint/typescript-estree": "6.18.1",
+						"@typescript-eslint/scope-manager": "6.19.0",
+						"@typescript-eslint/types": "6.19.0",
+						"@typescript-eslint/typescript-estree": "6.19.0",
 						"semver": "^7.5.4"
 					}
 				},
 				"@typescript-eslint/visitor-keys": {
-					"version": "6.18.1",
-					"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.18.1.tgz",
-					"integrity": "sha512-/kvt0C5lRqGoCfsbmm7/CwMqoSkY3zzHLIjdhHZQW3VFrnz7ATecOHR7nb7V+xn4286MBxfnQfQhAmCI0u+bJA==",
+					"version": "6.19.0",
+					"resolved": "https://registry.npmjs.org/@typescript-eslint/visitor-keys/-/visitor-keys-6.19.0.tgz",
+					"integrity": "sha512-hZaUCORLgubBvtGpp1JEFEazcuEdfxta9j4iUwdSAr7mEsYYAp3EAUyCZk3VEEqGj6W+AV4uWyrDGtrlawAsgQ==",
 					"dev": true,
 					"requires": {
-						"@typescript-eslint/types": "6.18.1",
+						"@typescript-eslint/types": "6.19.0",
 						"eslint-visitor-keys": "^3.4.1"
 					}
 				},
diff --git a/package.json b/package.json
index eda8e36f..445cea50 100644
--- a/package.json
+++ b/package.json
@@ -43,7 +43,7 @@
 		"@types/jest": "^29.5.11",
 		"@types/node": "^20.11.3",
 		"@types/yargs": "^17.0.32",
-		"@typescript-eslint/eslint-plugin": "^6.18.1",
+		"@typescript-eslint/eslint-plugin": "^6.19.0",
 		"eslint": "^8.56.0",
 		"eslint-config-prettier": "^9.1.0",
 		"eslint-plugin-header": "^3.1.1",